--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : SLAVE_IO.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:58
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/SLAVE_IO.sch SLAVE_IO.vhf
--Design Name: SLAVE_IO
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity SLAVE_IO is
   port ( INTR        : in    std_logic_vector (3 downto 0); 
          xCLK        : in    std_logic; 
          xCLR_ALL    : in    std_logic; 
          xDONE       : in    std_logic; 
          xDSTRB      : in    std_logic; 
          xFCLK       : in    std_logic; 
          xMAIN_DATA  : in    std_logic_vector (15 downto 0); 
          xR_WR       : in    std_logic; 
          xSEL        : in    std_logic_vector (3 downto 0); 
          CLR         : out   std_logic; 
          CLR_ALL     : out   std_logic; 
          DSTRB       : out   std_logic; 
          FCLK        : out   std_logic_vector (3 downto 0); 
          FCLKN       : out   std_logic_vector (3 downto 0); 
          MCLK        : out   std_logic_vector (3 downto 0); 
          MCLKN       : out   std_logic_vector (3 downto 0); 
          R_WR        : out   std_logic; 
          SEL         : out   std_logic_vector (3 downto 0); 
          xINTR       : out   std_logic_vector (3 downto 0); 
          xSLAVE_DATA : out   std_logic_vector (15 downto 0); 
          xSTART      : out   std_logic; 
          AD          : inout std_logic_vector (15 downto 0));
end SLAVE_IO;

architecture BEHAVIORAL of SLAVE_IO is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_96     : std_logic;
   signal XLXN_138    : std_logic;
   signal xINTR_DUMMY : std_logic_vector (3 downto 0);
   component iobuf16
      port ( xTOGGLE : in    std_logic; 
             FDIN    : in    std_logic_vector (15 downto 0); 
             FD      : inout std_logic_vector (15 downto 0); 
             FDOUT   : out   std_logic_vector (15 downto 0));
   end component;
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OBUFDS
      port ( I  : in    std_logic; 
             O  : out   std_logic; 
             OB : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFDS : component is "DEFAULT";
   attribute SLEW of OBUFDS : component is "SLOW";
   attribute DRIVE of OBUFDS : component is "12";
   attribute BOX_TYPE of OBUFDS : component is "BLACK_BOX";
   
   component IBUF4X
      port ( I : in    std_logic_vector (3 downto 0); 
             O : out   std_logic_vector (3 downto 0));
   end component;
   
begin
   xINTR(3 downto 0) <= xINTR_DUMMY(3 downto 0);
   XLXI_129 : iobuf16
      port map (FDIN(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xTOGGLE=>XLXN_96,
                FDOUT(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                FD(15 downto 0)=>AD(15 downto 0));
   
   XLXI_152 : OBUF
      port map (I=>xSEL(0),
                O=>SEL(0));
   
   XLXI_153 : OBUF
      port map (I=>xDONE,
                O=>CLR);
   
   XLXI_154 : OBUF
      port map (I=>xCLR_ALL,
                O=>CLR_ALL);
   
   XLXI_156 : OBUF
      port map (I=>xR_WR,
                O=>R_WR);
   
   XLXI_157 : OBUF
      port map (I=>xDSTRB,
                O=>DSTRB);
   
   XLXI_158 : INV
      port map (I=>xR_WR,
                O=>XLXN_96);
   
   XLXI_174 : AND4
      port map (I0=>xINTR_DUMMY(3),
                I1=>xINTR_DUMMY(2),
                I2=>xINTR_DUMMY(1),
                I3=>xINTR_DUMMY(0),
                O=>XLXN_138);
   
   XLXI_181 : BUF
      port map (I=>XLXN_138,
                O=>xSTART);
   
   XLXI_187 : OBUF
      port map (I=>xSEL(1),
                O=>SEL(1));
   
   XLXI_188 : OBUF
      port map (I=>xSEL(2),
                O=>SEL(2));
   
   XLXI_189 : OBUF
      port map (I=>xSEL(3),
                O=>SEL(3));
   
   XLXI_212 : OBUFDS
      port map (I=>xFCLK,
                O=>FCLK(0),
                OB=>FCLKN(0));
   
   XLXI_213 : OBUFDS
      port map (I=>xFCLK,
                O=>FCLK(1),
                OB=>FCLKN(1));
   
   XLXI_214 : OBUFDS
      port map (I=>xFCLK,
                O=>FCLK(2),
                OB=>FCLKN(2));
   
   XLXI_215 : OBUFDS
      port map (I=>xFCLK,
                O=>FCLK(3),
                OB=>FCLKN(3));
   
   XLXI_220 : OBUFDS
      port map (I=>xCLK,
                O=>MCLK(0),
                OB=>MCLKN(0));
   
   XLXI_221 : OBUFDS
      port map (I=>xCLK,
                O=>MCLK(1),
                OB=>MCLKN(1));
   
   XLXI_222 : OBUFDS
      port map (I=>xCLK,
                O=>MCLK(2),
                OB=>MCLKN(2));
   
   XLXI_223 : OBUFDS
      port map (I=>xCLK,
                O=>MCLK(3),
                OB=>MCLKN(3));
   
   XLXI_228 : IBUF4X
      port map (I(3 downto 0)=>INTR(3 downto 0),
                O(3 downto 0)=>xINTR_DUMMY(3 downto 0));
   
end BEHAVIORAL;


