--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : TOP.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:53
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/TOP.sch TOP.vhf
--Design Name: TOP
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TOP is
   port ( BCLK       : in    std_logic; 
          CLKOUT     : in    std_logic; 
          CTL0       : in    std_logic; 
          CTL1       : in    std_logic; 
          CTL2       : in    std_logic; 
          DIFF_CLK   : in    std_logic; 
          DIFF_CLK_N : in    std_logic; 
          EXT_TRIG   : in    std_logic; 
          IFCLK      : in    std_logic; 
          INTR       : in    std_logic_vector (3 downto 0); 
          MOD0       : in    std_logic; 
          MOD2       : in    std_logic; 
          PA0        : in    std_logic; 
          PA1        : in    std_logic; 
          PA3        : in    std_logic; 
          PA7        : in    std_logic; 
          REFCLK     : in    std_logic; 
          RXN        : in    std_logic; 
          RXP        : in    std_logic; 
          RX_LOSS    : in    std_logic; 
          TDIN       : in    std_logic_vector (3 downto 0); 
          TX_FAULT   : in    std_logic; 
          VPED       : in    std_logic; 
          WAKEUP     : in    std_logic; 
          CLR        : out   std_logic; 
          CLR_ALL    : out   std_logic; 
          DSTRB      : out   std_logic; 
          FCLK       : out   std_logic_vector (3 downto 0); 
          FCLKN      : out   std_logic_vector (3 downto 0); 
          MCLK       : out   std_logic_vector (3 downto 0); 
          MCLKN      : out   std_logic_vector (3 downto 0); 
          MOD1       : out   std_logic; 
          MON        : out   std_logic_vector (15 downto 0); 
          PA2        : out   std_logic; 
          PA4        : out   std_logic; 
          PA5        : out   std_logic; 
          PA6        : out   std_logic; 
          RDY0       : out   std_logic; 
          RDY1       : out   std_logic; 
          R_WR       : out   std_logic; 
          SEL        : out   std_logic_vector (3 downto 0); 
          TRIG       : out   std_logic_vector (3 downto 0); 
          TRIGN      : out   std_logic_vector (3 downto 0); 
          TXN        : out   std_logic; 
          TXP        : out   std_logic; 
          TX_DIS     : out   std_logic; 
          T_CS       : out   std_logic; 
          T_SCLK     : out   std_logic; 
          AD         : inout std_logic_vector (15 downto 0); 
          FD         : inout std_logic_vector (15 downto 0));
end TOP;

architecture BEHAVIORAL of TOP is
   attribute BOX_TYPE   : string ;
   signal xCLK          : std_logic;
   signal xCLK_15MHz    : std_logic;
   signal xCLR_ALL      : std_logic;
   signal xDONE         : std_logic;
   signal xDSTRB        : std_logic;
   signal xEN_PED       : std_logic;
   signal xFCLK         : std_logic;
   signal xFO_TERM      : std_logic_vector (2 downto 0);
   signal xINTR         : std_logic_vector (3 downto 0);
   signal XLXN_338      : std_logic;
   signal XLXN_339      : std_logic;
   signal XLXN_340      : std_logic;
   signal XLXN_345      : std_logic;
   signal xMAIN_DATA    : std_logic_vector (15 downto 0);
   signal xMAIN_RBUSY   : std_logic;
   signal xPED_COL_ADDR : std_logic_vector (4 downto 0);
   signal xPED_ROW_ADDR : std_logic_vector (2 downto 0);
   signal xRADDR        : std_logic_vector (15 downto 0);
   signal xREFRESH      : std_logic;
   signal xRSEL         : std_logic_vector (3 downto 0);
   signal xRSTRB        : std_logic;
   signal xR_WR         : std_logic;
   signal xSEL          : std_logic_vector (3 downto 0);
   signal xSGN          : std_logic;
   signal xSLAVE_DATA   : std_logic_vector (15 downto 0);
   signal xSLAVE_WBUSY  : std_logic;
   signal xSOFT_TRIG    : std_logic;
   signal xSTART        : std_logic;
   signal xTEMP         : std_logic_vector (15 downto 0);
   signal xTERM         : std_logic_vector (2 downto 0);
   signal xTHRES0       : std_logic_vector (15 downto 0);
   signal xTHRES1       : std_logic_vector (15 downto 0);
   signal xTHRES2       : std_logic_vector (15 downto 0);
   signal xTHRES3       : std_logic_vector (15 downto 0);
   signal xWBIAS        : std_logic_vector (11 downto 0);
   signal xWSEL         : std_logic_vector (3 downto 0);
   signal xWSTRB        : std_logic;
   component SLAVE_IO
      port ( INTR        : in    std_logic_vector (3 downto 0); 
             xCLK        : in    std_logic; 
             xFCLK       : in    std_logic; 
             xMAIN_DATA  : in    std_logic_vector (15 downto 0); 
             xSEL        : in    std_logic_vector (3 downto 0); 
             MCLKN       : out   std_logic_vector (3 downto 0); 
             MCLK        : out   std_logic_vector (3 downto 0); 
             FCLKN       : out   std_logic_vector (3 downto 0); 
             FCLK        : out   std_logic_vector (3 downto 0); 
             R_WR        : out   std_logic; 
             DSTRB       : out   std_logic; 
             CLR_ALL     : out   std_logic; 
             CLR         : out   std_logic; 
             xCLR_ALL    : in    std_logic; 
             xDONE       : in    std_logic; 
             xR_WR       : in    std_logic; 
             xDSTRB      : in    std_logic; 
             AD          : inout std_logic_vector (15 downto 0); 
             xSTART      : out   std_logic; 
             xSLAVE_DATA : out   std_logic_vector (15 downto 0); 
             SEL         : out   std_logic_vector (3 downto 0); 
             xINTR       : out   std_logic_vector (3 downto 0));
   end component;
   
   component CLK_MAIN
      port ( VPED       : in    std_logic; 
             EXT_TRIG   : in    std_logic; 
             xSOFT_TRIG : in    std_logic; 
             BCLK       : in    std_logic; 
             DIFF_CLK   : in    std_logic; 
             DIFF_CLK_N : in    std_logic; 
             xCLK_15MHz : out   std_logic; 
             xCLK_10Hz  : out   std_logic; 
             xCLK_100Hz : out   std_logic; 
             xCLK       : out   std_logic; 
             xFCLK      : out   std_logic; 
             TRIGN      : out   std_logic_vector (3 downto 0); 
             TRIG       : out   std_logic_vector (3 downto 0));
   end component;
   
   component SLAVE_REG
      port ( xCLK          : in    std_logic; 
             xREFRESH      : in    std_logic; 
             xEN_PED       : in    std_logic; 
             xWSTRB        : out   std_logic; 
             xSLAVE_WBUSY  : out   std_logic; 
             xMAIN_DATA    : out   std_logic_vector (15 downto 0); 
             xWSEL         : out   std_logic_vector (3 downto 0); 
             xMAIN_RBUSY   : in    std_logic; 
             xCLR_ALL      : in    std_logic; 
             xTHRES0       : in    std_logic_vector (15 downto 0); 
             xTHRES1       : in    std_logic_vector (15 downto 0); 
             xTHRES2       : in    std_logic_vector (15 downto 0); 
             xTHRES3       : in    std_logic_vector (15 downto 0); 
             xPED_COL_ADDR : in    std_logic_vector (4 downto 0); 
             xPED_ROW_ADDR : in    std_logic_vector (2 downto 0); 
             xWBIAS        : in    std_logic_vector (11 downto 0); 
             xTERM         : in    std_logic_vector (2 downto 0); 
             xSGN          : in    std_logic);
   end component;
   
   component TEMP_TOP
      port ( T_CS       : out   std_logic; 
             T_SCLK     : out   std_logic; 
             xTEMP      : out   std_logic_vector (15 downto 0); 
             TDIN       : in    std_logic_vector (3 downto 0); 
             xCLK_15MHz : in    std_logic; 
             xRADDR     : in    std_logic_vector (1 downto 0); 
             xCLR_ALL   : in    std_logic);
   end component;
   
   component R_WR_CTRL
      port ( xCLK         : in    std_logic; 
             xSTART       : in    std_logic; 
             xSLAVE_WBUSY : in    std_logic; 
             xWSTRB       : in    std_logic; 
             xRSTRB       : in    std_logic; 
             xCLR_ALL     : in    std_logic; 
             xWSEL        : in    std_logic_vector (3 downto 0); 
             xRSEL        : in    std_logic_vector (3 downto 0); 
             xDSTRB       : out   std_logic; 
             xMAIN_RBUSY  : out   std_logic; 
             xR_WR        : out   std_logic; 
             xSEL         : out   std_logic_vector (3 downto 0));
   end component;
   
   component MON_HDR
      port ( xMON10    : in    std_logic; 
             xMON11    : in    std_logic; 
             xMON12    : in    std_logic; 
             xMON13    : in    std_logic; 
             xMON14    : in    std_logic; 
             xMON15    : in    std_logic; 
             xMON16    : in    std_logic; 
             xMON17    : in    std_logic; 
             xMON18    : in    std_logic; 
             xHV_DIN0  : in    std_logic; 
             xHV_SCLK  : in    std_logic; 
             xHV_NSYNC : in    std_logic; 
             xHV_DIN1  : in    std_logic; 
             xMON7     : in    std_logic; 
             xMON8     : in    std_logic; 
             xMON9     : in    std_logic; 
             MON       : out   std_logic_vector (15 downto 0));
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FO_USB
      port ( xSTART        : in    std_logic; 
             PA0           : in    std_logic; 
             PA1           : in    std_logic; 
             PA3           : in    std_logic; 
             PA7           : in    std_logic; 
             WAKEUP        : in    std_logic; 
             IFCLK         : in    std_logic; 
             CLKOUT        : in    std_logic; 
             CTL2          : in    std_logic; 
             RXN           : in    std_logic; 
             RXP           : in    std_logic; 
             RX_LOS        : in    std_logic; 
             MOD2          : in    std_logic; 
             MOD0          : in    std_logic; 
             TX_FAULT      : in    std_logic; 
             FD            : inout std_logic_vector (15 downto 0); 
             PA2           : out   std_logic; 
             PA4           : out   std_logic; 
             PA5           : out   std_logic; 
             PA6           : out   std_logic; 
             RDY1          : out   std_logic; 
             RDY0          : out   std_logic; 
             TXN           : out   std_logic; 
             TXP           : out   std_logic; 
             MOD1          : out   std_logic; 
             TX_DIS        : out   std_logic; 
             CTL0          : in    std_logic; 
             CTL1          : in    std_logic; 
             xTEMP         : in    std_logic_vector (15 downto 0); 
             xSLAVE_DATA   : in    std_logic_vector (15 downto 0); 
             REFCLK        : in    std_logic; 
             xDONE         : out   std_logic; 
             xCLR_ALL      : out   std_logic; 
             xSOFT_TRIG    : out   std_logic; 
             xRADDR        : out   std_logic_vector (15 downto 0); 
             xEN_PED       : out   std_logic; 
             xRSTRB        : out   std_logic; 
             xREFRESH      : out   std_logic; 
             xTHRES0       : out   std_logic_vector (15 downto 0); 
             xTHRES1       : out   std_logic_vector (15 downto 0); 
             xTHRES2       : out   std_logic_vector (15 downto 0); 
             xTHRES3       : out   std_logic_vector (15 downto 0); 
             xRSEL         : out   std_logic_vector (3 downto 0); 
             xPED_ROW_ADDR : out   std_logic_vector (2 downto 0); 
             xPED_COL_ADDR : out   std_logic_vector (4 downto 0); 
             xSGN          : out   std_logic; 
             xTERM         : out   std_logic_vector (2 downto 0); 
             xWBIAS        : out   std_logic_vector (11 downto 0); 
             xFO_TERM      : out   std_logic_vector (2 downto 0));
   end component;
   
begin
   XLXI_1 : SLAVE_IO
      port map (INTR(3 downto 0)=>INTR(3 downto 0),
                xCLK=>xCLK,
                xCLR_ALL=>xCLR_ALL,
                xDONE=>xDONE,
                xDSTRB=>xDSTRB,
                xFCLK=>xFCLK,
                xMAIN_DATA(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xR_WR=>xR_WR,
                xSEL(3 downto 0)=>xSEL(3 downto 0),
                CLR=>CLR,
                CLR_ALL=>CLR_ALL,
                DSTRB=>DSTRB,
                FCLK(3 downto 0)=>FCLK(3 downto 0),
                FCLKN(3 downto 0)=>FCLKN(3 downto 0),
                MCLK(3 downto 0)=>MCLK(3 downto 0),
                MCLKN(3 downto 0)=>MCLKN(3 downto 0),
                R_WR=>R_WR,
                SEL(3 downto 0)=>SEL(3 downto 0),
                xINTR(3 downto 0)=>xINTR(3 downto 0),
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSTART=>xSTART,
                AD(15 downto 0)=>AD(15 downto 0));
   
   XLXI_4 : CLK_MAIN
      port map (BCLK=>BCLK,
                DIFF_CLK=>DIFF_CLK,
                DIFF_CLK_N=>DIFF_CLK_N,
                EXT_TRIG=>EXT_TRIG,
                VPED=>VPED,
                xSOFT_TRIG=>xSOFT_TRIG,
                TRIG(3 downto 0)=>TRIG(3 downto 0),
                TRIGN(3 downto 0)=>TRIGN(3 downto 0),
                xCLK=>xCLK,
                xCLK_10Hz=>open,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_100Hz=>open,
                xFCLK=>xFCLK);
   
   XLXI_7 : SLAVE_REG
      port map (xCLK=>xCLK,
                xCLR_ALL=>xCLR_ALL,
                xEN_PED=>xEN_PED,
                xMAIN_RBUSY=>xMAIN_RBUSY,
                xPED_COL_ADDR(4 downto 0)=>xPED_COL_ADDR(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW_ADDR(2 downto 0),
                xREFRESH=>xREFRESH,
                xSGN=>xSGN,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES0(15 downto 0)=>xTHRES0(15 downto 0),
                xTHRES1(15 downto 0)=>xTHRES1(15 downto 0),
                xTHRES2(15 downto 0)=>xTHRES2(15 downto 0),
                xTHRES3(15 downto 0)=>xTHRES3(15 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0),
                xMAIN_DATA(15 downto 0)=>xMAIN_DATA(15 downto 0),
                xSLAVE_WBUSY=>xSLAVE_WBUSY,
                xWSEL(3 downto 0)=>xWSEL(3 downto 0),
                xWSTRB=>xWSTRB);
   
   XLXI_12 : TEMP_TOP
      port map (TDIN(3 downto 0)=>TDIN(3 downto 0),
                xCLK_15MHz=>xCLK_15MHz,
                xCLR_ALL=>xCLR_ALL,
                xRADDR(1 downto 0)=>xRADDR(1 downto 0),
                T_CS=>T_CS,
                T_SCLK=>T_SCLK,
                xTEMP(15 downto 0)=>xTEMP(15 downto 0));
   
   XLXI_13 : R_WR_CTRL
      port map (xCLK=>xCLK,
                xCLR_ALL=>xCLR_ALL,
                xRSEL(3 downto 0)=>xRSEL(3 downto 0),
                xRSTRB=>xRSTRB,
                xSLAVE_WBUSY=>xSLAVE_WBUSY,
                xSTART=>xSTART,
                xWSEL(3 downto 0)=>xWSEL(3 downto 0),
                xWSTRB=>xWSTRB,
                xDSTRB=>xDSTRB,
                xMAIN_RBUSY=>xMAIN_RBUSY,
                xR_WR=>xR_WR,
                xSEL(3 downto 0)=>xSEL(3 downto 0));
   
   XLXI_2820 : MON_HDR
      port map (xHV_DIN0=>xINTR(0),
                xHV_DIN1=>xFO_TERM(2),
                xHV_NSYNC=>xFO_TERM(1),
                xHV_SCLK=>xFO_TERM(0),
                xMON7=>xREFRESH,
                xMON8=>xTERM(0),
                xMON9=>xTERM(1),
                xMON10=>xTERM(2),
                xMON11=>XLXN_345,
                xMON12=>XLXN_338,
                xMON13=>XLXN_339,
                xMON14=>XLXN_340,
                xMON15=>xSTART,
                xMON16=>xDONE,
                xMON17=>xCLR_ALL,
                xMON18=>xSOFT_TRIG,
                MON(15 downto 0)=>MON(15 downto 0));
   
   XLXI_2924 : GND
      port map (G=>XLXN_338);
   
   XLXI_2925 : GND
      port map (G=>XLXN_339);
   
   XLXI_2926 : GND
      port map (G=>XLXN_340);
   
   XLXI_2935 : FO_USB
      port map (CLKOUT=>CLKOUT,
                CTL0=>CTL0,
                CTL1=>CTL1,
                CTL2=>CTL2,
                IFCLK=>IFCLK,
                MOD0=>MOD0,
                MOD2=>MOD2,
                PA0=>PA0,
                PA1=>PA1,
                PA3=>PA3,
                PA7=>PA7,
                REFCLK=>REFCLK,
                RXN=>RXN,
                RXP=>RXP,
                RX_LOS=>RX_LOSS,
                TX_FAULT=>TX_FAULT,
                WAKEUP=>WAKEUP,
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSTART=>xMAIN_RBUSY,
                xTEMP(15 downto 0)=>xTEMP(15 downto 0),
                MOD1=>MOD1,
                PA2=>PA2,
                PA4=>PA4,
                PA5=>PA5,
                PA6=>PA6,
                RDY0=>RDY0,
                RDY1=>RDY1,
                TXN=>TXN,
                TXP=>TXP,
                TX_DIS=>TX_DIS,
                xCLR_ALL=>xCLR_ALL,
                xDONE=>xDONE,
                xEN_PED=>xEN_PED,
                xFO_TERM(2 downto 0)=>xFO_TERM(2 downto 0),
                xPED_COL_ADDR(4 downto 0)=>xPED_COL_ADDR(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW_ADDR(2 downto 0),
                xRADDR(15 downto 0)=>xRADDR(15 downto 0),
                xREFRESH=>xREFRESH,
                xRSEL(3 downto 0)=>xRSEL(3 downto 0),
                xRSTRB=>xRSTRB,
                xSGN=>xSGN,
                xSOFT_TRIG=>xSOFT_TRIG,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES0(15 downto 0)=>xTHRES0(15 downto 0),
                xTHRES1(15 downto 0)=>xTHRES1(15 downto 0),
                xTHRES2(15 downto 0)=>xTHRES2(15 downto 0),
                xTHRES3(15 downto 0)=>xTHRES3(15 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0),
                FD(15 downto 0)=>FD(15 downto 0));
   
   XLXI_2936 : GND
      port map (G=>XLXN_345);
   
end BEHAVIORAL;


