VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL VPED
        SIGNAL EXT_TRIG
        SIGNAL XLXN_659
        SIGNAL xSOFT_TRIG
        SIGNAL XLXN_661
        SIGNAL xTRIG
        SIGNAL BCLK
        SIGNAL XLXN_27
        SIGNAL xCLK
        SIGNAL XLXN_162
        SIGNAL xFCLK
        SIGNAL DIFF_CLK
        SIGNAL DIFF_CLK_N
        SIGNAL XLXN_167
        SIGNAL XLXN_168
        SIGNAL XLXN_169
        SIGNAL xCLK_30MHz
        SIGNAL XLXN_157
        SIGNAL XLXN_158
        SIGNAL XLXN_160
        SIGNAL xCLK_15MHz
        SIGNAL xCLK_10Hz
        SIGNAL xCLK_100Hz
        SIGNAL XLXN_185
        SIGNAL TRIG(0)
        SIGNAL TRIGN(0)
        SIGNAL TRIG(1)
        SIGNAL TRIGN(1)
        SIGNAL TRIG(2)
        SIGNAL TRIGN(2)
        SIGNAL TRIG(3)
        SIGNAL TRIGN(3)
        SIGNAL TRIG(3:0)
        SIGNAL TRIGN(3:0)
        PORT Input VPED
        PORT Input EXT_TRIG
        PORT Input xSOFT_TRIG
        PORT Input BCLK
        PORT Output xCLK
        PORT Output xFCLK
        PORT Input DIFF_CLK
        PORT Input DIFF_CLK_N
        PORT Output xCLK_15MHz
        PORT Output xCLK_10Hz
        PORT Output xCLK_100Hz
        PORT Output TRIG(3:0)
        PORT Output TRIGN(3:0)
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ftc
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -48 64 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 224 -32 128 -32 
            CIRCLE N 48 -24 64 -8 
            LINE N 0 -16 48 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF HK_CLK
            TIMESTAMP 2008 9 2 20 5 20
            LINE N 0 -128 -64 -128 
            LINE N 304 -128 368 -128 
            LINE N 304 -96 368 -96 
            LINE N 304 -64 368 -64 
            LINE N 304 -32 368 -32 
            RECTANGLE N 0 -160 304 0 
            LINE N 0 -32 -64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF obufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -16 116 -16 
            LINE N 224 -48 96 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 100 -20 108 -12 
            LINE N 108 -16 116 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2545 or2
            PIN I0 xSOFT_TRIG
            PIN I1 XLXN_659
            PIN O XLXN_661
        END BLOCK
        BEGIN BLOCK XLXI_2541 ibufds
            PIN I VPED
            PIN IB EXT_TRIG
            PIN O XLXN_659
        END BLOCK
        BEGIN BLOCK XLXI_2549 buf
            PIN I XLXN_661
            PIN O xTRIG
        END BLOCK
        BEGIN BLOCK XLXI_93 ibufg
            PIN I BCLK
            PIN O XLXN_27
        END BLOCK
        BEGIN BLOCK XLXI_108 bufg
            PIN I XLXN_27
            PIN O xCLK
        END BLOCK
        BEGIN BLOCK XLXI_1548 ibufds
            PIN I DIFF_CLK
            PIN IB DIFF_CLK_N
            PIN O XLXN_162
        END BLOCK
        BEGIN BLOCK XLXI_1549 bufg
            PIN I XLXN_162
            PIN O xFCLK
        END BLOCK
        BEGIN BLOCK XLXI_1554 ftc
            PIN C xCLK
            PIN CLR XLXN_167
            PIN T XLXN_168
            PIN Q XLXN_169
        END BLOCK
        BEGIN BLOCK XLXI_1555 gnd
            PIN G XLXN_167
        END BLOCK
        BEGIN BLOCK XLXI_1556 vcc
            PIN P XLXN_168
        END BLOCK
        BEGIN BLOCK XLXI_21 ftc
            PIN C xCLK_30MHz
            PIN CLR XLXN_157
            PIN T XLXN_158
            PIN Q XLXN_160
        END BLOCK
        BEGIN BLOCK XLXI_44 gnd
            PIN G XLXN_157
        END BLOCK
        BEGIN BLOCK XLXI_45 vcc
            PIN P XLXN_158
        END BLOCK
        BEGIN BLOCK XLXI_46 bufg
            PIN I XLXN_160
            PIN O xCLK_15MHz
        END BLOCK
        BEGIN BLOCK XLXI_2540 buf
            PIN I XLXN_169
            PIN O xCLK_30MHz
        END BLOCK
        BEGIN BLOCK XLXI_1581 gnd
            PIN G XLXN_185
        END BLOCK
        BEGIN BLOCK XLXI_1572 HK_CLK
            PIN xCLK_15MHz xCLK_15MHz
            PIN xCLK_1Hz
            PIN xCLK_10Hz xCLK_10Hz
            PIN xCLK_100Hz xCLK_100Hz
            PIN xCLK_1kHz
            PIN xCLR_ALL XLXN_185
        END BLOCK
        BEGIN BLOCK XLXI_224 obufds
            PIN I xTRIG
            PIN O TRIG(0)
            PIN OB TRIGN(0)
        END BLOCK
        BEGIN BLOCK XLXI_225 obufds
            PIN I xTRIG
            PIN O TRIG(1)
            PIN OB TRIGN(1)
        END BLOCK
        BEGIN BLOCK XLXI_226 obufds
            PIN I xTRIG
            PIN O TRIG(2)
            PIN OB TRIGN(2)
        END BLOCK
        BEGIN BLOCK XLXI_227 obufds
            PIN I xTRIG
            PIN O TRIG(3)
            PIN OB TRIGN(3)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        INSTANCE XLXI_2545 464 224 R0
        INSTANCE XLXI_2541 224 128 R0
        BEGIN BRANCH VPED
            WIRE 192 80 224 80
        END BRANCH
        BEGIN BRANCH EXT_TRIG
            WIRE 192 112 224 112
        END BRANCH
        BEGIN BRANCH XLXN_659
            WIRE 448 96 464 96
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 432 160 464 160
        END BRANCH
        BEGIN BRANCH XLXN_661
            WIRE 720 128 752 128
        END BRANCH
        INSTANCE XLXI_2549 752 160 R0
        BEGIN BRANCH xTRIG
            WIRE 976 128 1008 128
            BEGIN DISPLAY 1008 128 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_93 496 336 R0
        BEGIN BRANCH BCLK
            WIRE 464 304 496 304
        END BRANCH
        BEGIN BRANCH XLXN_27
            WIRE 720 304 752 304
        END BRANCH
        INSTANCE XLXI_108 752 336 R0
        BEGIN BRANCH xCLK
            WIRE 976 304 1008 304
        END BRANCH
        INSTANCE XLXI_1548 496 272 R0
        BEGIN BRANCH XLXN_162
            WIRE 720 240 752 240
        END BRANCH
        INSTANCE XLXI_1549 752 272 R0
        BEGIN BRANCH xFCLK
            WIRE 976 240 1008 240
        END BRANCH
        BEGIN BRANCH DIFF_CLK
            WIRE 464 224 496 224
        END BRANCH
        BEGIN BRANCH DIFF_CLK_N
            WIRE 464 256 496 256
        END BRANCH
        INSTANCE XLXI_1554 464 736 R0
        BEGIN BRANCH XLXN_167
            WIRE 432 704 464 704
        END BRANCH
        INSTANCE XLXI_1555 304 640 R90
        BEGIN BRANCH XLXN_168
            WIRE 432 480 464 480
        END BRANCH
        INSTANCE XLXI_1556 432 544 R270
        BEGIN BRANCH XLXN_169
            WIRE 848 480 880 480
        END BRANCH
        BEGIN BRANCH xCLK_30MHz
            WIRE 1104 480 1136 480
            BEGIN DISPLAY 1136 480 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_21 464 1104 R0
        BEGIN BRANCH XLXN_157
            WIRE 432 1072 464 1072
        END BRANCH
        INSTANCE XLXI_44 304 1008 R90
        BEGIN BRANCH XLXN_158
            WIRE 432 848 464 848
        END BRANCH
        INSTANCE XLXI_45 432 912 R270
        BEGIN BRANCH XLXN_160
            WIRE 848 848 880 848
        END BRANCH
        INSTANCE XLXI_46 880 880 R0
        BEGIN BRANCH xCLK_15MHz
            WIRE 1104 848 1136 848
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 448 608 464 608
            BEGIN DISPLAY 448 608 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_30MHz
            WIRE 448 976 464 976
            BEGIN DISPLAY 448 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2540 880 512 R0
        BEGIN BRANCH xCLK_15MHz
            WIRE 416 1200 448 1200
            BEGIN DISPLAY 416 1200 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_10Hz
            WIRE 880 1232 912 1232
        END BRANCH
        BEGIN BRANCH xCLK_100Hz
            WIRE 880 1264 912 1264
        END BRANCH
        BEGIN BRANCH XLXN_185
            WIRE 416 1296 448 1296
        END BRANCH
        INSTANCE XLXI_1581 288 1232 R90
        BEGIN INSTANCE XLXI_1572 512 1328 R0
        END INSTANCE
        IOMARKER 192 80 VPED R180 28
        IOMARKER 192 112 EXT_TRIG R180 28
        IOMARKER 432 160 xSOFT_TRIG R180 28
        IOMARKER 464 304 BCLK R180 28
        IOMARKER 1008 304 xCLK R0 28
        IOMARKER 1008 240 xFCLK R0 28
        IOMARKER 464 224 DIFF_CLK R180 28
        IOMARKER 464 256 DIFF_CLK_N R180 28
        IOMARKER 1136 848 xCLK_15MHz R0 28
        IOMARKER 912 1232 xCLK_10Hz R0 28
        IOMARKER 912 1264 xCLK_100Hz R0 28
        INSTANCE XLXI_224 1296 160 R0
        INSTANCE XLXI_225 1296 224 R0
        INSTANCE XLXI_226 1296 288 R0
        INSTANCE XLXI_227 1296 352 R0
        BEGIN BRANCH TRIG(0)
            WIRE 1520 112 1552 112
            BEGIN DISPLAY 1552 112 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIGN(0)
            WIRE 1520 144 1552 144
            BEGIN DISPLAY 1552 144 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIG(1)
            WIRE 1520 176 1552 176
            BEGIN DISPLAY 1552 176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIGN(1)
            WIRE 1520 208 1552 208
            BEGIN DISPLAY 1552 208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIG(2)
            WIRE 1520 240 1552 240
            BEGIN DISPLAY 1552 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIGN(2)
            WIRE 1520 272 1552 272
            BEGIN DISPLAY 1552 272 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIG(3)
            WIRE 1520 304 1552 304
            BEGIN DISPLAY 1552 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIGN(3)
            WIRE 1520 336 1552 336
            BEGIN DISPLAY 1552 336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 1264 128 1296 128
            BEGIN DISPLAY 1264 128 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 1264 192 1296 192
            BEGIN DISPLAY 1264 192 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 1264 256 1296 256
            BEGIN DISPLAY 1264 256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTRIG
            WIRE 1264 320 1296 320
            BEGIN DISPLAY 1264 320 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIG(3:0)
            WIRE 1520 400 1552 400
        END BRANCH
        BEGIN BRANCH TRIGN(3:0)
            WIRE 1520 432 1552 432
        END BRANCH
        IOMARKER 1552 400 TRIG(3:0) R0 28
        IOMARKER 1552 432 TRIGN(3:0) R0 28
    END SHEET
END SCHEMATIC
