VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL TX_FAULT
        SIGNAL XLXN_5
        SIGNAL RX_LOS
        SIGNAL MOD2
        SIGNAL XLXN_11
        SIGNAL MOD0
        SIGNAL XLXN_32
        SIGNAL XLXN_33
        SIGNAL XLXN_34
        SIGNAL XLXN_35
        SIGNAL xTX_FAULT
        SIGNAL xRX_LOS
        SIGNAL xMOD2
        SIGNAL xMOD0
        SIGNAL TX_DIS
        SIGNAL MOD1
        PORT Input TX_FAULT
        PORT Input RX_LOS
        PORT Input MOD2
        PORT Input MOD0
        PORT Output xTX_FAULT
        PORT Output xRX_LOS
        PORT Output xMOD2
        PORT Output xMOD0
        PORT Output TX_DIS
        PORT Output MOD1
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 ibuf
            PIN I TX_FAULT
            PIN O XLXN_35
        END BLOCK
        BEGIN BLOCK XLXI_2 obuf
            PIN I XLXN_5
            PIN O TX_DIS
        END BLOCK
        BEGIN BLOCK XLXI_3 gnd
            PIN G XLXN_5
        END BLOCK
        BEGIN BLOCK XLXI_4 ibuf
            PIN I RX_LOS
            PIN O XLXN_34
        END BLOCK
        BEGIN BLOCK XLXI_5 ibuf
            PIN I MOD2
            PIN O XLXN_33
        END BLOCK
        BEGIN BLOCK XLXI_6 obuf
            PIN I XLXN_11
            PIN O MOD1
        END BLOCK
        BEGIN BLOCK XLXI_7 gnd
            PIN G XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_8 ibuf
            PIN I MOD0
            PIN O XLXN_32
        END BLOCK
        BEGIN BLOCK XLXI_17 buf
            PIN I XLXN_32
            PIN O xMOD0
        END BLOCK
        BEGIN BLOCK XLXI_18 buf
            PIN I XLXN_33
            PIN O xMOD2
        END BLOCK
        BEGIN BLOCK XLXI_19 buf
            PIN I XLXN_34
            PIN O xRX_LOS
        END BLOCK
        BEGIN BLOCK XLXI_20 buf
            PIN I XLXN_35
            PIN O xTX_FAULT
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        INSTANCE XLXI_1 736 512 R0
        BEGIN BRANCH TX_FAULT
            WIRE 704 480 736 480
        END BRANCH
        INSTANCE XLXI_2 736 576 R0
        BEGIN BRANCH XLXN_5
            WIRE 704 544 736 544
        END BRANCH
        INSTANCE XLXI_3 576 480 R90
        BEGIN BRANCH RX_LOS
            WIRE 704 608 736 608
        END BRANCH
        INSTANCE XLXI_4 736 640 R0
        INSTANCE XLXI_5 736 704 R0
        BEGIN BRANCH MOD2
            WIRE 704 672 736 672
        END BRANCH
        INSTANCE XLXI_6 736 768 R0
        BEGIN BRANCH XLXN_11
            WIRE 704 736 736 736
        END BRANCH
        INSTANCE XLXI_7 576 672 R90
        BEGIN BRANCH MOD0
            WIRE 704 800 736 800
        END BRANCH
        INSTANCE XLXI_8 736 832 R0
        IOMARKER 704 480 TX_FAULT R180 28
        IOMARKER 704 608 RX_LOS R180 28
        IOMARKER 704 672 MOD2 R180 28
        IOMARKER 704 800 MOD0 R180 28
        BEGIN BRANCH XLXN_32
            WIRE 960 800 992 800
        END BRANCH
        INSTANCE XLXI_17 992 832 R0
        BEGIN BRANCH XLXN_33
            WIRE 960 672 992 672
        END BRANCH
        INSTANCE XLXI_18 992 704 R0
        BEGIN BRANCH XLXN_34
            WIRE 960 608 992 608
        END BRANCH
        INSTANCE XLXI_19 992 640 R0
        BEGIN BRANCH XLXN_35
            WIRE 960 480 992 480
        END BRANCH
        INSTANCE XLXI_20 992 512 R0
        BEGIN BRANCH xTX_FAULT
            WIRE 1216 480 1248 480
        END BRANCH
        BEGIN BRANCH xRX_LOS
            WIRE 1216 608 1248 608
        END BRANCH
        BEGIN BRANCH xMOD2
            WIRE 1216 672 1248 672
        END BRANCH
        BEGIN BRANCH xMOD0
            WIRE 1216 800 1248 800
        END BRANCH
        IOMARKER 1248 480 xTX_FAULT R0 28
        IOMARKER 1248 608 xRX_LOS R0 28
        IOMARKER 1248 672 xMOD2 R0 28
        IOMARKER 1248 800 xMOD0 R0 28
        BEGIN BRANCH TX_DIS
            WIRE 960 544 992 544
        END BRANCH
        IOMARKER 992 544 TX_DIS R0 28
        BEGIN BRANCH MOD1
            WIRE 960 736 992 736
        END BRANCH
        IOMARKER 992 736 MOD1 R0 28
    END SHEET
END SCHEMATIC
