VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL xHV_DIN0
        SIGNAL MON(0)
        SIGNAL xHV_SCLK
        SIGNAL MON(1)
        SIGNAL xHV_NSYNC
        SIGNAL MON(2)
        SIGNAL xHV_DIN1
        SIGNAL MON(3)
        SIGNAL xMON7
        SIGNAL MON(4)
        SIGNAL xMON8
        SIGNAL MON(5)
        SIGNAL xMON9
        SIGNAL MON(6)
        SIGNAL xMON10
        SIGNAL MON(7)
        SIGNAL xMON11
        SIGNAL MON(8)
        SIGNAL xMON12
        SIGNAL MON(9)
        SIGNAL xMON13
        SIGNAL MON(10)
        SIGNAL xMON14
        SIGNAL MON(11)
        SIGNAL xMON15
        SIGNAL MON(12)
        SIGNAL xMON16
        SIGNAL MON(13)
        SIGNAL xMON17
        SIGNAL MON(14)
        SIGNAL xMON18
        SIGNAL MON(15)
        SIGNAL MON(15:0)
        PORT Input xHV_DIN0
        PORT Input xHV_SCLK
        PORT Input xHV_NSYNC
        PORT Input xHV_DIN1
        PORT Input xMON7
        PORT Input xMON8
        PORT Input xMON9
        PORT Input xMON10
        PORT Input xMON11
        PORT Input xMON12
        PORT Input xMON13
        PORT Input xMON14
        PORT Input xMON15
        PORT Input xMON16
        PORT Input xMON17
        PORT Input xMON18
        PORT Output MON(15:0)
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 obuf
            PIN I xHV_DIN0
            PIN O MON(0)
        END BLOCK
        BEGIN BLOCK XLXI_2 obuf
            PIN I xHV_SCLK
            PIN O MON(1)
        END BLOCK
        BEGIN BLOCK XLXI_3 obuf
            PIN I xHV_NSYNC
            PIN O MON(2)
        END BLOCK
        BEGIN BLOCK XLXI_4 obuf
            PIN I xHV_DIN1
            PIN O MON(3)
        END BLOCK
        BEGIN BLOCK XLXI_5 obuf
            PIN I xMON7
            PIN O MON(4)
        END BLOCK
        BEGIN BLOCK XLXI_6 obuf
            PIN I xMON8
            PIN O MON(5)
        END BLOCK
        BEGIN BLOCK XLXI_7 obuf
            PIN I xMON9
            PIN O MON(6)
        END BLOCK
        BEGIN BLOCK XLXI_8 obuf
            PIN I xMON10
            PIN O MON(7)
        END BLOCK
        BEGIN BLOCK XLXI_9 obuf
            PIN I xMON11
            PIN O MON(8)
        END BLOCK
        BEGIN BLOCK XLXI_10 obuf
            PIN I xMON12
            PIN O MON(9)
        END BLOCK
        BEGIN BLOCK XLXI_11 obuf
            PIN I xMON13
            PIN O MON(10)
        END BLOCK
        BEGIN BLOCK XLXI_12 obuf
            PIN I xMON14
            PIN O MON(11)
        END BLOCK
        BEGIN BLOCK XLXI_17 obuf
            PIN I xMON15
            PIN O MON(12)
        END BLOCK
        BEGIN BLOCK XLXI_18 obuf
            PIN I xMON16
            PIN O MON(13)
        END BLOCK
        BEGIN BLOCK XLXI_19 obuf
            PIN I xMON17
            PIN O MON(14)
        END BLOCK
        BEGIN BLOCK XLXI_20 obuf
            PIN I xMON18
            PIN O MON(15)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        INSTANCE XLXI_1 816 208 R0
        INSTANCE XLXI_2 816 272 R0
        INSTANCE XLXI_3 816 336 R0
        INSTANCE XLXI_4 816 400 R0
        INSTANCE XLXI_5 816 464 R0
        INSTANCE XLXI_6 816 528 R0
        INSTANCE XLXI_7 816 592 R0
        INSTANCE XLXI_8 816 656 R0
        INSTANCE XLXI_9 816 720 R0
        INSTANCE XLXI_10 816 784 R0
        INSTANCE XLXI_11 816 848 R0
        INSTANCE XLXI_12 816 912 R0
        INSTANCE XLXI_17 816 976 R0
        INSTANCE XLXI_18 816 1040 R0
        INSTANCE XLXI_19 816 1104 R0
        INSTANCE XLXI_20 816 1168 R0
        BEGIN BRANCH xHV_DIN0
            WIRE 784 176 816 176
        END BRANCH
        IOMARKER 784 176 xHV_DIN0 R180 28
        BEGIN BRANCH MON(0)
            WIRE 1040 176 1072 176
            BEGIN DISPLAY 1072 176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xHV_SCLK
            WIRE 784 240 816 240
        END BRANCH
        IOMARKER 784 240 xHV_SCLK R180 28
        BEGIN BRANCH MON(1)
            WIRE 1040 240 1072 240
            BEGIN DISPLAY 1072 240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xHV_NSYNC
            WIRE 784 304 816 304
        END BRANCH
        IOMARKER 784 304 xHV_NSYNC R180 28
        BEGIN BRANCH MON(2)
            WIRE 1040 304 1072 304
            BEGIN DISPLAY 1072 304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xHV_DIN1
            WIRE 784 368 816 368
        END BRANCH
        IOMARKER 784 368 xHV_DIN1 R180 28
        BEGIN BRANCH MON(3)
            WIRE 1040 368 1072 368
            BEGIN DISPLAY 1072 368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON7
            WIRE 784 432 816 432
        END BRANCH
        IOMARKER 784 432 xMON7 R180 28
        BEGIN BRANCH MON(4)
            WIRE 1040 432 1072 432
            BEGIN DISPLAY 1072 432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON8
            WIRE 784 496 816 496
        END BRANCH
        IOMARKER 784 496 xMON8 R180 28
        BEGIN BRANCH MON(5)
            WIRE 1040 496 1072 496
            BEGIN DISPLAY 1072 496 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON9
            WIRE 784 560 816 560
        END BRANCH
        IOMARKER 784 560 xMON9 R180 28
        BEGIN BRANCH MON(6)
            WIRE 1040 560 1072 560
            BEGIN DISPLAY 1072 560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON10
            WIRE 784 624 816 624
        END BRANCH
        IOMARKER 784 624 xMON10 R180 28
        BEGIN BRANCH MON(7)
            WIRE 1040 624 1072 624
            BEGIN DISPLAY 1072 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON11
            WIRE 784 688 816 688
        END BRANCH
        IOMARKER 784 688 xMON11 R180 28
        BEGIN BRANCH MON(8)
            WIRE 1040 688 1072 688
            BEGIN DISPLAY 1072 688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON12
            WIRE 784 752 816 752
        END BRANCH
        IOMARKER 784 752 xMON12 R180 28
        BEGIN BRANCH MON(9)
            WIRE 1040 752 1072 752
            BEGIN DISPLAY 1072 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON13
            WIRE 784 816 816 816
        END BRANCH
        IOMARKER 784 816 xMON13 R180 28
        BEGIN BRANCH MON(10)
            WIRE 1040 816 1072 816
            BEGIN DISPLAY 1072 816 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON14
            WIRE 784 880 816 880
        END BRANCH
        IOMARKER 784 880 xMON14 R180 28
        BEGIN BRANCH MON(11)
            WIRE 1040 880 1072 880
            BEGIN DISPLAY 1072 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON15
            WIRE 784 944 816 944
        END BRANCH
        IOMARKER 784 944 xMON15 R180 28
        BEGIN BRANCH MON(12)
            WIRE 1040 944 1072 944
            BEGIN DISPLAY 1072 944 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON16
            WIRE 784 1008 816 1008
        END BRANCH
        IOMARKER 784 1008 xMON16 R180 28
        BEGIN BRANCH MON(13)
            WIRE 1040 1008 1072 1008
            BEGIN DISPLAY 1072 1008 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON17
            WIRE 784 1072 816 1072
        END BRANCH
        IOMARKER 784 1072 xMON17 R180 28
        BEGIN BRANCH MON(14)
            WIRE 1040 1072 1072 1072
            BEGIN DISPLAY 1072 1072 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMON18
            WIRE 784 1136 816 1136
        END BRANCH
        IOMARKER 784 1136 xMON18 R180 28
        BEGIN BRANCH MON(15)
            WIRE 1040 1136 1072 1136
            BEGIN DISPLAY 1072 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MON(15:0)
            WIRE 1056 1232 1152 1232
        END BRANCH
        IOMARKER 1152 1232 MON(15:0) R0 28
    END SHEET
END SCHEMATIC
