VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL FCLK(0)
        SIGNAL FCLKN(0)
        SIGNAL FCLK(1)
        SIGNAL FCLKN(1)
        SIGNAL FCLK(2)
        SIGNAL FCLKN(2)
        SIGNAL FCLK(3)
        SIGNAL FCLKN(3)
        SIGNAL xFCLK
        SIGNAL FCLK(3:0)
        SIGNAL FCLKN(3:0)
        SIGNAL MCLK(0)
        SIGNAL MCLKN(0)
        SIGNAL MCLK(1)
        SIGNAL MCLKN(1)
        SIGNAL MCLK(2)
        SIGNAL MCLKN(2)
        SIGNAL MCLK(3)
        SIGNAL MCLKN(3)
        SIGNAL xCLK
        SIGNAL MCLK(3:0)
        SIGNAL MCLKN(3:0)
        SIGNAL AD(15:0)
        SIGNAL xSLAVE_DATA(15:0)
        SIGNAL xMAIN_DATA(15:0)
        SIGNAL XLXN_96
        SIGNAL INTR(3:0)
        SIGNAL xINTR(3:0)
        SIGNAL XLXN_138
        SIGNAL xINTR(3)
        SIGNAL xINTR(2)
        SIGNAL xINTR(1)
        SIGNAL xINTR(0)
        SIGNAL xSTART
        SIGNAL SEL(0)
        SIGNAL xSEL(0)
        SIGNAL SEL(1)
        SIGNAL xSEL(1)
        SIGNAL SEL(2)
        SIGNAL xSEL(2)
        SIGNAL SEL(3)
        SIGNAL xSEL(3)
        SIGNAL CLR
        SIGNAL CLR_ALL
        SIGNAL R_WR
        SIGNAL DSTRB
        SIGNAL xDONE
        SIGNAL xCLR_ALL
        SIGNAL xR_WR
        SIGNAL xDSTRB
        SIGNAL xSEL(3:0)
        SIGNAL SEL(3:0)
        PORT Input xFCLK
        PORT Output FCLK(3:0)
        PORT Output FCLKN(3:0)
        PORT Input xCLK
        PORT Output MCLK(3:0)
        PORT Output MCLKN(3:0)
        PORT BiDirectional AD(15:0)
        PORT Output xSLAVE_DATA(15:0)
        PORT Input xMAIN_DATA(15:0)
        PORT Input INTR(3:0)
        PORT Output xINTR(3:0)
        PORT Output xSTART
        PORT Output CLR
        PORT Output CLR_ALL
        PORT Output R_WR
        PORT Output DSTRB
        PORT Input xDONE
        PORT Input xCLR_ALL
        PORT Input xR_WR
        PORT Input xDSTRB
        PORT Input xSEL(3:0)
        PORT Output SEL(3:0)
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF iobuf16
            TIMESTAMP 2008 9 2 20 12 28
            LINE N 0 -64 -64 -64 
            RECTANGLE N 0 -96 304 4 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -44 0 -20 
            RECTANGLE N 304 -76 368 -52 
            LINE N 304 -64 368 -64 
            LINE N 368 -32 304 -32 
            RECTANGLE N 304 -44 368 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF and4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 144 -112 64 -112 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -208 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF obufds
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -16 116 -16 
            LINE N 224 -48 96 -48 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 100 -20 108 -12 
            LINE N 108 -16 116 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF IBUF4X
            TIMESTAMP 2008 10 4 0 55 54
            LINE N 224 -32 128 -32 
            RECTANGLE N 128 -44 224 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            RECTANGLE N 0 -44 64 -20 
        END BLOCKDEF
        BEGIN BLOCK XLXI_212 obufds
            PIN I xFCLK
            PIN O FCLK(0)
            PIN OB FCLKN(0)
        END BLOCK
        BEGIN BLOCK XLXI_213 obufds
            PIN I xFCLK
            PIN O FCLK(1)
            PIN OB FCLKN(1)
        END BLOCK
        BEGIN BLOCK XLXI_214 obufds
            PIN I xFCLK
            PIN O FCLK(2)
            PIN OB FCLKN(2)
        END BLOCK
        BEGIN BLOCK XLXI_215 obufds
            PIN I xFCLK
            PIN O FCLK(3)
            PIN OB FCLKN(3)
        END BLOCK
        BEGIN BLOCK XLXI_220 obufds
            PIN I xCLK
            PIN O MCLK(0)
            PIN OB MCLKN(0)
        END BLOCK
        BEGIN BLOCK XLXI_221 obufds
            PIN I xCLK
            PIN O MCLK(1)
            PIN OB MCLKN(1)
        END BLOCK
        BEGIN BLOCK XLXI_222 obufds
            PIN I xCLK
            PIN O MCLK(2)
            PIN OB MCLKN(2)
        END BLOCK
        BEGIN BLOCK XLXI_223 obufds
            PIN I xCLK
            PIN O MCLK(3)
            PIN OB MCLKN(3)
        END BLOCK
        BEGIN BLOCK XLXI_129 iobuf16
            PIN xTOGGLE XLXN_96
            PIN FDIN(15:0) xMAIN_DATA(15:0)
            PIN FD(15:0) AD(15:0)
            PIN FDOUT(15:0) xSLAVE_DATA(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_158 inv
            PIN I xR_WR
            PIN O XLXN_96
        END BLOCK
        BEGIN BLOCK XLXI_174 and4
            PIN I0 xINTR(3)
            PIN I1 xINTR(2)
            PIN I2 xINTR(1)
            PIN I3 xINTR(0)
            PIN O XLXN_138
        END BLOCK
        BEGIN BLOCK XLXI_181 buf
            PIN I XLXN_138
            PIN O xSTART
        END BLOCK
        BEGIN BLOCK XLXI_152 obuf
            PIN I xSEL(0)
            PIN O SEL(0)
        END BLOCK
        BEGIN BLOCK XLXI_187 obuf
            PIN I xSEL(1)
            PIN O SEL(1)
        END BLOCK
        BEGIN BLOCK XLXI_188 obuf
            PIN I xSEL(2)
            PIN O SEL(2)
        END BLOCK
        BEGIN BLOCK XLXI_189 obuf
            PIN I xSEL(3)
            PIN O SEL(3)
        END BLOCK
        BEGIN BLOCK XLXI_153 obuf
            PIN I xDONE
            PIN O CLR
        END BLOCK
        BEGIN BLOCK XLXI_154 obuf
            PIN I xCLR_ALL
            PIN O CLR_ALL
        END BLOCK
        BEGIN BLOCK XLXI_156 obuf
            PIN I xR_WR
            PIN O R_WR
        END BLOCK
        BEGIN BLOCK XLXI_157 obuf
            PIN I xDSTRB
            PIN O DSTRB
        END BLOCK
        BEGIN BLOCK XLXI_228 IBUF4X
            PIN I(3:0) INTR(3:0)
            PIN O(3:0) xINTR(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_212 1744 608 R0
        INSTANCE XLXI_213 1744 672 R0
        INSTANCE XLXI_214 1744 736 R0
        INSTANCE XLXI_215 1744 800 R0
        BEGIN BRANCH FCLK(0)
            WIRE 1968 560 2000 560
            BEGIN DISPLAY 2000 560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLKN(0)
            WIRE 1968 592 2000 592
            BEGIN DISPLAY 2000 592 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLK(1)
            WIRE 1968 624 2000 624
            BEGIN DISPLAY 2000 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLKN(1)
            WIRE 1968 656 2000 656
            BEGIN DISPLAY 2000 656 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLK(2)
            WIRE 1968 688 2000 688
            BEGIN DISPLAY 2000 688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLKN(2)
            WIRE 1968 720 2000 720
            BEGIN DISPLAY 2000 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLK(3)
            WIRE 1968 752 2000 752
            BEGIN DISPLAY 2000 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLKN(3)
            WIRE 1968 784 2000 784
            BEGIN DISPLAY 2000 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 1712 576 1744 576
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 1712 640 1744 640
            BEGIN DISPLAY 1712 640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 1712 704 1744 704
            BEGIN DISPLAY 1712 704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 1712 768 1744 768
            BEGIN DISPLAY 1712 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FCLK(3:0)
            WIRE 2176 752 2208 752
        END BRANCH
        BEGIN BRANCH FCLKN(3:0)
            WIRE 2176 784 2208 784
        END BRANCH
        INSTANCE XLXI_220 1744 864 R0
        INSTANCE XLXI_221 1744 928 R0
        INSTANCE XLXI_222 1744 992 R0
        INSTANCE XLXI_223 1744 1056 R0
        BEGIN BRANCH MCLK(0)
            WIRE 1968 816 2000 816
            BEGIN DISPLAY 2000 816 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLKN(0)
            WIRE 1968 848 2000 848
            BEGIN DISPLAY 2000 848 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLK(1)
            WIRE 1968 880 2000 880
            BEGIN DISPLAY 2000 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLKN(1)
            WIRE 1968 912 2000 912
            BEGIN DISPLAY 2000 912 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLK(2)
            WIRE 1968 944 2000 944
            BEGIN DISPLAY 2000 944 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLKN(2)
            WIRE 1968 976 2000 976
            BEGIN DISPLAY 2000 976 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLK(3)
            WIRE 1968 1008 2000 1008
            BEGIN DISPLAY 2000 1008 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLKN(3)
            WIRE 1968 1040 2000 1040
            BEGIN DISPLAY 2000 1040 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1712 832 1744 832
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1712 896 1744 896
            BEGIN DISPLAY 1712 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1712 960 1744 960
            BEGIN DISPLAY 1712 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 1712 1024 1744 1024
            BEGIN DISPLAY 1712 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MCLK(3:0)
            WIRE 2176 1008 2208 1008
        END BRANCH
        BEGIN BRANCH MCLKN(3:0)
            WIRE 2176 1040 2208 1040
        END BRANCH
        IOMARKER 1712 576 xFCLK R180 28
        IOMARKER 2208 752 FCLK(3:0) R0 28
        IOMARKER 2208 784 FCLKN(3:0) R0 28
        IOMARKER 1712 832 xCLK R180 28
        IOMARKER 2208 1008 MCLK(3:0) R0 28
        IOMARKER 2208 1040 MCLKN(3:0) R0 28
        BEGIN INSTANCE XLXI_129 608 464 R0
        END INSTANCE
        BEGIN BRANCH AD(15:0)
            WIRE 976 400 1008 400
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 976 432 1008 432
        END BRANCH
        BEGIN BRANCH xMAIN_DATA(15:0)
            WIRE 512 432 544 432
        END BRANCH
        INSTANCE XLXI_158 656 288 R0
        BEGIN BRANCH XLXN_96
            WIRE 480 304 480 400
            WIRE 480 400 544 400
            WIRE 480 304 960 304
            WIRE 880 256 960 256
            WIRE 960 256 960 304
        END BRANCH
        BEGIN BRANCH INTR(3:0)
            WIRE 640 576 672 576
        END BRANCH
        BEGIN BRANCH xINTR(3:0)
            WIRE 896 576 928 576
        END BRANCH
        INSTANCE XLXI_174 672 880 R0
        BEGIN BRANCH XLXN_138
            WIRE 928 720 960 720
        END BRANCH
        INSTANCE XLXI_181 960 752 R0
        BEGIN BRANCH xINTR(3)
            WIRE 640 816 672 816
            BEGIN DISPLAY 640 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xINTR(2)
            WIRE 640 752 672 752
            BEGIN DISPLAY 640 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xINTR(1)
            WIRE 640 688 672 688
            BEGIN DISPLAY 640 688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xINTR(0)
            WIRE 640 624 672 624
            BEGIN DISPLAY 640 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 1184 720 1216 720
        END BRANCH
        BEGIN BRANCH SEL(0)
            WIRE 896 896 928 896
            BEGIN DISPLAY 928 896 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_152 672 928 R0
        BEGIN BRANCH xSEL(0)
            WIRE 640 896 672 896
            BEGIN DISPLAY 640 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEL(1)
            WIRE 896 960 928 960
            BEGIN DISPLAY 928 960 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_187 672 992 R0
        BEGIN BRANCH xSEL(1)
            WIRE 640 960 672 960
            BEGIN DISPLAY 640 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEL(2)
            WIRE 896 1024 928 1024
            BEGIN DISPLAY 928 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_188 672 1056 R0
        BEGIN BRANCH xSEL(2)
            WIRE 640 1024 672 1024
            BEGIN DISPLAY 640 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SEL(3)
            WIRE 896 1088 928 1088
            BEGIN DISPLAY 928 1088 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_189 672 1120 R0
        BEGIN BRANCH xSEL(3)
            WIRE 640 1088 672 1088
            BEGIN DISPLAY 640 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLR
            WIRE 896 1152 928 1152
        END BRANCH
        BEGIN BRANCH CLR_ALL
            WIRE 896 1216 928 1216
        END BRANCH
        BEGIN BRANCH R_WR
            WIRE 896 1280 928 1280
        END BRANCH
        BEGIN BRANCH DSTRB
            WIRE 896 1344 928 1344
        END BRANCH
        INSTANCE XLXI_153 672 1184 R0
        INSTANCE XLXI_154 672 1248 R0
        INSTANCE XLXI_156 672 1312 R0
        INSTANCE XLXI_157 672 1376 R0
        BEGIN BRANCH xDONE
            WIRE 640 1152 672 1152
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 640 1216 672 1216
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 640 1280 672 1280
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 640 1344 672 1344
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 624 256 656 256
            BEGIN DISPLAY 624 256 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSEL(3:0)
            WIRE 464 896 496 896
        END BRANCH
        BEGIN BRANCH SEL(3:0)
            WIRE 1056 1088 1088 1088
        END BRANCH
        INSTANCE XLXI_228 672 608 R0
        IOMARKER 1008 400 AD(15:0) R0 28
        IOMARKER 1008 432 xSLAVE_DATA(15:0) R0 28
        IOMARKER 512 432 xMAIN_DATA(15:0) R180 28
        IOMARKER 640 576 INTR(3:0) R180 28
        IOMARKER 1216 720 xSTART R0 28
        IOMARKER 928 1152 CLR R0 28
        IOMARKER 928 1216 CLR_ALL R0 28
        IOMARKER 928 1280 R_WR R0 28
        IOMARKER 928 1344 DSTRB R0 28
        IOMARKER 640 1152 xDONE R180 28
        IOMARKER 640 1216 xCLR_ALL R180 28
        IOMARKER 640 1280 xR_WR R180 28
        IOMARKER 640 1344 xDSTRB R180 28
        IOMARKER 464 896 xSEL(3:0) R180 28
        IOMARKER 1088 1088 SEL(3:0) R0 28
        IOMARKER 928 576 xINTR(3:0) R0 28
    END SHEET
END SCHEMATIC
