--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : FO_USB.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:55
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/FO_USB.sch FO_USB.vhf
--Design Name: FO_USB
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FO_USB is
   port ( CLKOUT        : in    std_logic; 
          CTL0          : in    std_logic; 
          CTL1          : in    std_logic; 
          CTL2          : in    std_logic; 
          IFCLK         : in    std_logic; 
          MOD0          : in    std_logic; 
          MOD2          : in    std_logic; 
          PA0           : in    std_logic; 
          PA1           : in    std_logic; 
          PA3           : in    std_logic; 
          PA7           : in    std_logic; 
          REFCLK        : in    std_logic; 
          RXN           : in    std_logic; 
          RXP           : in    std_logic; 
          RX_LOS        : in    std_logic; 
          TX_FAULT      : in    std_logic; 
          WAKEUP        : in    std_logic; 
          xSLAVE_DATA   : in    std_logic_vector (15 downto 0); 
          xSTART        : in    std_logic; 
          xTEMP         : in    std_logic_vector (15 downto 0); 
          MOD1          : out   std_logic; 
          PA2           : out   std_logic; 
          PA4           : out   std_logic; 
          PA5           : out   std_logic; 
          PA6           : out   std_logic; 
          RDY0          : out   std_logic; 
          RDY1          : out   std_logic; 
          TXN           : out   std_logic; 
          TXP           : out   std_logic; 
          TX_DIS        : out   std_logic; 
          xCLR_ALL      : out   std_logic; 
          xDONE         : out   std_logic; 
          xEN_PED       : out   std_logic; 
          xFO_TERM      : out   std_logic_vector (2 downto 0); 
          xPED_COL_ADDR : out   std_logic_vector (4 downto 0); 
          xPED_ROW_ADDR : out   std_logic_vector (2 downto 0); 
          xRADDR        : out   std_logic_vector (15 downto 0); 
          xREFRESH      : out   std_logic; 
          xRSEL         : out   std_logic_vector (3 downto 0); 
          xRSTRB        : out   std_logic; 
          xSGN          : out   std_logic; 
          xSOFT_TRIG    : out   std_logic; 
          xTERM         : out   std_logic_vector (2 downto 0); 
          xTHRES0       : out   std_logic_vector (15 downto 0); 
          xTHRES1       : out   std_logic_vector (15 downto 0); 
          xTHRES2       : out   std_logic_vector (15 downto 0); 
          xTHRES3       : out   std_logic_vector (15 downto 0); 
          xWBIAS        : out   std_logic_vector (11 downto 0); 
          FD            : inout std_logic_vector (15 downto 0));
end FO_USB;

architecture BEHAVIORAL of FO_USB is
   attribute BOX_TYPE   : string ;
   signal xFIFOADR       : std_logic_vector (1 downto 0);
   signal xFLAGA         : std_logic;
   signal xFLAGB         : std_logic;
   signal xFLAGC         : std_logic;
   signal xFO_CLR_ALL    : std_logic;
   signal xFO_DONE       : std_logic;
   signal xFO_EN_PED     : std_logic;
   signal xFO_LOSS       : std_logic;
   signal xFO_PED_COL    : std_logic_vector (4 downto 0);
   signal xFO_PED_ROW    : std_logic_vector (2 downto 0);
   signal xFO_RADDR      : std_logic_vector (15 downto 0);
   signal xFO_REFRESH    : std_logic;
   signal xFO_RSEL       : std_logic_vector (3 downto 0);
   signal xFO_RSTRB      : std_logic;
   signal xFO_SGN        : std_logic;
   signal xFO_SOFT_TRIG  : std_logic;
   signal xFO_THRES0     : std_logic_vector (15 downto 0);
   signal xFO_THRES1     : std_logic_vector (15 downto 0);
   signal xFO_THRES2     : std_logic_vector (15 downto 0);
   signal xFO_THRES3     : std_logic_vector (15 downto 0);
   signal xFO_WBIAS      : std_logic_vector (11 downto 0);
   signal xFPGA_DATA     : std_logic_vector (15 downto 0);
   signal xIFCLK         : std_logic;
   signal xPKTEND        : std_logic;
   signal xRBUSY         : std_logic;
   signal xRESET         : std_logic;
   signal xROCLK         : std_logic;
   signal xROCLKx2       : std_logic;
   signal xRX_BUSY       : std_logic;
   signal xRX_DATA       : std_logic_vector (31 downto 0);
   signal xRX_LOST       : std_logic;
   signal xRX_LOST_N     : std_logic;
   signal xSLOE          : std_logic;
   signal xSLRD          : std_logic;
   signal xSLWR          : std_logic;
   signal xSYNC_USB      : std_logic;
   signal xTOGGLE        : std_logic;
   signal xTX_BUSY       : std_logic;
   signal xTX_DATA       : std_logic_vector (31 downto 0);
   signal xUSB_CLR_ALL   : std_logic;
   signal xUSB_DATA      : std_logic_vector (15 downto 0);
   signal xUSB_DONE      : std_logic;
   signal xUSB_EN_PED    : std_logic;
   signal xUSB_PED_COL   : std_logic_vector (4 downto 0);
   signal xUSB_PED_ROW   : std_logic_vector (2 downto 0);
   signal xUSB_RADDR     : std_logic_vector (15 downto 0);
   signal xUSB_REFRESH   : std_logic;
   signal xUSB_RSEL      : std_logic_vector (3 downto 0);
   signal xUSB_RSTRB     : std_logic;
   signal xUSB_SGN       : std_logic;
   signal xUSB_SOFT_TRIG : std_logic;
   signal xUSB_TERM      : std_logic_vector (2 downto 0);
   signal xUSB_THRES0    : std_logic_vector (15 downto 0);
   signal xUSB_THRES1    : std_logic_vector (15 downto 0);
   signal xUSB_THRES2    : std_logic_vector (15 downto 0);
   signal xUSB_THRES3    : std_logic_vector (15 downto 0);
   signal xUSB_WBIAS     : std_logic_vector (11 downto 0);
   signal xWAKEUP        : std_logic;
   signal xWBUSY         : std_logic;
   signal xFO_TERM_DUMMY : std_logic_vector (2 downto 0);
   component USB_IO
      port ( IFCLK     : in    std_logic; 
             xIFCLK    : out   std_logic; 
             xSLOE     : in    std_logic; 
             xFIFOADR0 : in    std_logic; 
             xFIFOADR1 : in    std_logic; 
             xPKTEND   : in    std_logic; 
             xSLWR     : in    std_logic; 
             xSLRD     : in    std_logic; 
             WAKEUP    : in    std_logic; 
             CTL1      : in    std_logic; 
             PA7       : in    std_logic; 
             PA3       : in    std_logic; 
             PA1       : in    std_logic; 
             PA0       : in    std_logic; 
             CLKOUT    : in    std_logic; 
             xTOGGLE   : in    std_logic; 
             xDATA_OUT : in    std_logic_vector (15 downto 0); 
             PA2       : out   std_logic; 
             PA4       : out   std_logic; 
             PA5       : out   std_logic; 
             PA6       : out   std_logic; 
             RDY1      : out   std_logic; 
             RDY0      : out   std_logic; 
             xFLAGA    : out   std_logic; 
             xFLAGB    : out   std_logic; 
             xFLAGC    : out   std_logic; 
             xWAKEUP   : out   std_logic; 
             xUSB_DATA : out   std_logic_vector (15 downto 0); 
             FD        : inout std_logic_vector (15 downto 0); 
             CTL0      : in    std_logic; 
             CTL2      : in    std_logic);
   end component;
   
   component PROGRESET
      port ( xCLK     : in    std_logic; 
             xWAKEUP  : in    std_logic; 
             xCLR_ALL : out   std_logic; 
             xGLRST   : out   std_logic);
   end component;
   
   component ROCKETIOv03
      port ( RXN      : in    std_logic; 
             RXP      : in    std_logic; 
             REFCLK   : in    std_logic; 
             xRX_LOSS : in    std_logic; 
             xTX_DATA : in    std_logic_vector (31 downto 0); 
             TXN      : out   std_logic; 
             TXP      : out   std_logic; 
             xROCLK   : out   std_logic; 
             xTX_BUSY : out   std_logic; 
             xRX_BUSY : out   std_logic; 
             xRX_DATA : out   std_logic_vector (31 downto 0); 
             xROCLKx2 : out   std_logic);
   end component;
   
   component RX_DATA
      port ( xROCLK        : in    std_logic; 
             xCLR_ALL      : in    std_logic; 
             xRX_BUSY      : in    std_logic; 
             xRX_DATA      : in    std_logic_vector (31 downto 0); 
             xREFRESH      : out   std_logic; 
             xEN_PED       : out   std_logic; 
             xSOFT_TRIG    : out   std_logic; 
             xDONE         : out   std_logic; 
             xPED_COL_ADDR : out   std_logic_vector (4 downto 0); 
             xTHRES0       : out   std_logic_vector (15 downto 0); 
             xTHRES1       : out   std_logic_vector (15 downto 0); 
             xTHRES2       : out   std_logic_vector (15 downto 0); 
             xTHRES3       : out   std_logic_vector (15 downto 0); 
             xPED_ROW_ADDR : out   std_logic_vector (2 downto 0); 
             xSGN          : out   std_logic; 
             xTERM         : out   std_logic_vector (2 downto 0); 
             xWBIAS        : out   std_logic_vector (11 downto 0));
   end component;
   
   component FO_IO
      port ( TX_FAULT  : in    std_logic; 
             xTX_FAULT : out   std_logic; 
             RX_LOS    : in    std_logic; 
             MOD2      : in    std_logic; 
             MOD0      : in    std_logic; 
             xRX_LOS   : out   std_logic; 
             xMOD2     : out   std_logic; 
             MOD1      : out   std_logic; 
             xMOD0     : out   std_logic; 
             TX_DIS    : out   std_logic);
   end component;
   
   component TX_DATA
      port ( xCLR_ALL    : in    std_logic; 
             xTEMP       : in    std_logic_vector (15 downto 0); 
             xSLAVE_DATA : in    std_logic_vector (15 downto 0); 
             xTX_BUSY    : in    std_logic; 
             xSTART      : in    std_logic; 
             xROCLK      : in    std_logic; 
             xROCLKx2    : in    std_logic; 
             xRADDR      : out   std_logic_vector (15 downto 0); 
             xTX_DATA    : out   std_logic_vector (31 downto 0); 
             xRSEL       : out   std_logic_vector (3 downto 0); 
             xRSTRB      : out   std_logic; 
             xDONE       : in    std_logic);
   end component;
   
   component MESS
      port ( xSLWR       : in    std_logic; 
             xSTART      : in    std_logic; 
             xDONE       : in    std_logic; 
             xCLR_ALL    : in    std_logic; 
             xFPGA_DATA  : out   std_logic_vector (15 downto 0); 
             xRADDR      : out   std_logic_vector (15 downto 0); 
             xRSEL       : out   std_logic_vector (3 downto 0); 
             xRSTRB      : out   std_logic; 
             xTEMP       : in    std_logic_vector (15 downto 0); 
             xSLAVE_DATA : in    std_logic_vector (15 downto 0));
   end component;
   
   component USBwrite
      port ( xIFCLK    : in    std_logic; 
             xFLAGB    : in    std_logic; 
             xFLAGC    : in    std_logic; 
             xRBUSY    : in    std_logic; 
             xRESET    : in    std_logic; 
             xSTART    : in    std_logic; 
             xSYNC_USB : in    std_logic; 
             xDONE     : out   std_logic; 
             xPKTEND   : out   std_logic; 
             xSLWR     : out   std_logic; 
             xWBUSY    : out   std_logic);
   end component;
   
   component USBread
      port ( xIFCLK        : in    std_logic; 
             xFLAGA        : in    std_logic; 
             xRESET        : in    std_logic; 
             xWBUSY        : in    std_logic; 
             xUSB_DATA     : in    std_logic_vector (15 downto 0); 
             xRBUSY        : out   std_logic; 
             xSLOE         : out   std_logic; 
             xSLRD         : out   std_logic; 
             xSYNC_USB     : out   std_logic; 
             xSOFT_TRIG    : out   std_logic; 
             xTOGGLE       : out   std_logic; 
             xFIFOADR      : out   std_logic_vector (1 downto 0); 
             xREFRESH      : out   std_logic; 
             xEN_PED       : out   std_logic; 
             xPED_ROW_ADDR : out   std_logic_vector (2 downto 0); 
             xTHRES0       : out   std_logic_vector (15 downto 0); 
             xTHRES1       : out   std_logic_vector (15 downto 0); 
             xTHRES2       : out   std_logic_vector (15 downto 0); 
             xTHRES3       : out   std_logic_vector (15 downto 0); 
             xPED_COL_ADDR : out   std_logic_vector (4 downto 0); 
             xSGN          : out   std_logic; 
             xTERM         : out   std_logic_vector (2 downto 0); 
             xWBIAS        : out   std_logic_vector (11 downto 0));
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component FO_USB_MUX
      port ( xFO_EN_PED     : in    std_logic; 
             xUSB_EN_PED    : in    std_logic; 
             xFO_REFRESH    : in    std_logic; 
             xWAKEUP        : in    std_logic; 
             xUSB_CLR_ALL   : in    std_logic; 
             xFO_CLR_ALL    : in    std_logic; 
             xUSB_REFRESH   : in    std_logic; 
             xEN_PED        : out   std_logic; 
             xRSTRB         : out   std_logic; 
             xRX_LOST       : out   std_logic; 
             xSOFT_TRIG     : out   std_logic; 
             xREFRESH       : out   std_logic; 
             xCLR_ALL       : out   std_logic; 
             xDONE          : out   std_logic; 
             xTHRES0        : out   std_logic_vector (15 downto 0); 
             xPED_ROW_ADDR  : out   std_logic_vector (2 downto 0); 
             xPED_COL_ADDR  : out   std_logic_vector (4 downto 0); 
             xRADDR         : out   std_logic_vector (15 downto 0); 
             xRSEL          : out   std_logic_vector (3 downto 0); 
             xTHRES3        : out   std_logic_vector (15 downto 0); 
             xTHRES2        : out   std_logic_vector (15 downto 0); 
             xTHRES1        : out   std_logic_vector (15 downto 0); 
             xFO_SOFT_TRIG  : in    std_logic; 
             xUSB_SOFT_TRIG : in    std_logic; 
             xFO_DONE       : in    std_logic; 
             xUSB_DONE      : in    std_logic; 
             xFO_RSTRB      : in    std_logic; 
             xUSB_RSTRB     : in    std_logic; 
             xFO_LOSS       : in    std_logic; 
             xFO_RSEL       : in    std_logic_vector (3 downto 0); 
             xUSB_RSEL      : in    std_logic_vector (3 downto 0); 
             xFO_RADDR      : in    std_logic_vector (15 downto 0); 
             xUSB_RADDR     : in    std_logic_vector (15 downto 0); 
             xFO_THRES3     : in    std_logic_vector (15 downto 0); 
             xUSB_THRES3    : in    std_logic_vector (15 downto 0); 
             xFO_THRES2     : in    std_logic_vector (15 downto 0); 
             xUSB_THRES2    : in    std_logic_vector (15 downto 0); 
             xFO_THRES1     : in    std_logic_vector (15 downto 0); 
             xUSB_THRES1    : in    std_logic_vector (15 downto 0); 
             xFO_THRES0     : in    std_logic_vector (15 downto 0); 
             xUSB_THRES0    : in    std_logic_vector (15 downto 0); 
             xFO_PED_ROW    : in    std_logic_vector (2 downto 0); 
             xUSB_PED_ROW   : in    std_logic_vector (2 downto 0); 
             xFO_PED_COL    : in    std_logic_vector (4 downto 0); 
             xUSB_PED_COL   : in    std_logic_vector (4 downto 0); 
             xSGN           : out   std_logic; 
             xTERM          : out   std_logic_vector (2 downto 0); 
             xWBIAS         : out   std_logic_vector (11 downto 0); 
             xUSB_WBIAS     : in    std_logic_vector (11 downto 0); 
             xFO_WBIAS      : in    std_logic_vector (11 downto 0); 
             xUSB_TERM      : in    std_logic_vector (2 downto 0); 
             xFO_TERM       : in    std_logic_vector (2 downto 0); 
             xUSB_SGN       : in    std_logic; 
             xFO_SGN        : in    std_logic);
   end component;
   
begin
   xFO_TERM(2 downto 0) <= xFO_TERM_DUMMY(2 downto 0);
   XLXI_1530 : USB_IO
      port map (CLKOUT=>CLKOUT,
                CTL0=>CTL0,
                CTL1=>CTL1,
                CTL2=>CTL2,
                IFCLK=>IFCLK,
                PA0=>PA0,
                PA1=>PA1,
                PA3=>PA3,
                PA7=>PA7,
                WAKEUP=>WAKEUP,
                xDATA_OUT(15 downto 0)=>xFPGA_DATA(15 downto 0),
                xFIFOADR0=>xFIFOADR(0),
                xFIFOADR1=>xFIFOADR(1),
                xPKTEND=>xPKTEND,
                xSLOE=>xSLOE,
                xSLRD=>xSLRD,
                xSLWR=>xSLWR,
                xTOGGLE=>xTOGGLE,
                PA2=>PA2,
                PA4=>PA4,
                PA5=>PA5,
                PA6=>PA6,
                RDY0=>RDY0,
                RDY1=>RDY1,
                xFLAGA=>xFLAGA,
                xFLAGB=>xFLAGB,
                xFLAGC=>xFLAGC,
                xIFCLK=>xIFCLK,
                xUSB_DATA(15 downto 0)=>xUSB_DATA(15 downto 0),
                xWAKEUP=>xWAKEUP,
                FD(15 downto 0)=>FD(15 downto 0));
   
   XLXI_1545 : PROGRESET
      port map (xCLK=>xROCLKx2,
                xWAKEUP=>xRX_LOST_N,
                xCLR_ALL=>xFO_CLR_ALL,
                xGLRST=>open);
   
   XLXI_1690 : ROCKETIOv03
      port map (REFCLK=>REFCLK,
                RXN=>RXN,
                RXP=>RXP,
                xRX_LOSS=>xRX_LOST,
                xTX_DATA(31 downto 0)=>xTX_DATA(31 downto 0),
                TXN=>TXN,
                TXP=>TXP,
                xROCLK=>xROCLK,
                xROCLKx2=>xROCLKx2,
                xRX_BUSY=>xRX_BUSY,
                xRX_DATA(31 downto 0)=>xRX_DATA(31 downto 0),
                xTX_BUSY=>xTX_BUSY);
   
   XLXI_1707 : RX_DATA
      port map (xCLR_ALL=>xFO_CLR_ALL,
                xROCLK=>xROCLK,
                xRX_BUSY=>xRX_BUSY,
                xRX_DATA(31 downto 0)=>xRX_DATA(31 downto 0),
                xDONE=>xFO_DONE,
                xEN_PED=>xFO_EN_PED,
                xPED_COL_ADDR(4 downto 0)=>xFO_PED_COL(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xFO_PED_ROW(2 downto 0),
                xREFRESH=>xFO_REFRESH,
                xSGN=>xFO_SGN,
                xSOFT_TRIG=>xFO_SOFT_TRIG,
                xTERM(2 downto 0)=>xFO_TERM_DUMMY(2 downto 0),
                xTHRES0(15 downto 0)=>xFO_THRES0(15 downto 0),
                xTHRES1(15 downto 0)=>xFO_THRES1(15 downto 0),
                xTHRES2(15 downto 0)=>xFO_THRES2(15 downto 0),
                xTHRES3(15 downto 0)=>xFO_THRES3(15 downto 0),
                xWBIAS(11 downto 0)=>xFO_WBIAS(11 downto 0));
   
   XLXI_2410 : FO_IO
      port map (MOD0=>MOD0,
                MOD2=>MOD2,
                RX_LOS=>RX_LOS,
                TX_FAULT=>TX_FAULT,
                MOD1=>MOD1,
                TX_DIS=>TX_DIS,
                xMOD0=>open,
                xMOD2=>open,
                xRX_LOS=>xFO_LOSS,
                xTX_FAULT=>open);
   
   XLXI_2485 : TX_DATA
      port map (xCLR_ALL=>xFO_CLR_ALL,
                xDONE=>xFO_DONE,
                xROCLK=>xROCLK,
                xROCLKx2=>xROCLKx2,
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSTART=>xSTART,
                xTEMP(15 downto 0)=>xTEMP(15 downto 0),
                xTX_BUSY=>xTX_BUSY,
                xRADDR(15 downto 0)=>xFO_RADDR(15 downto 0),
                xRSEL(3 downto 0)=>xFO_RSEL(3 downto 0),
                xRSTRB=>xFO_RSTRB,
                xTX_DATA(31 downto 0)=>xTX_DATA(31 downto 0));
   
   XLXI_2520 : MESS
      port map (xCLR_ALL=>xUSB_CLR_ALL,
                xDONE=>xUSB_DONE,
                xSLAVE_DATA(15 downto 0)=>xSLAVE_DATA(15 downto 0),
                xSLWR=>xSLWR,
                xSTART=>xSTART,
                xTEMP(15 downto 0)=>xTEMP(15 downto 0),
                xFPGA_DATA(15 downto 0)=>xFPGA_DATA(15 downto 0),
                xRADDR(15 downto 0)=>xUSB_RADDR(15 downto 0),
                xRSEL(3 downto 0)=>xUSB_RSEL(3 downto 0),
                xRSTRB=>xUSB_RSTRB);
   
   XLXI_2521 : USBwrite
      port map (xFLAGB=>xFLAGB,
                xFLAGC=>xFLAGC,
                xIFCLK=>xIFCLK,
                xRBUSY=>xRBUSY,
                xRESET=>xRESET,
                xSTART=>xSTART,
                xSYNC_USB=>xSYNC_USB,
                xDONE=>xUSB_DONE,
                xPKTEND=>xPKTEND,
                xSLWR=>xSLWR,
                xWBUSY=>xWBUSY);
   
   XLXI_2522 : USBread
      port map (xFLAGA=>xFLAGA,
                xIFCLK=>xIFCLK,
                xRESET=>xRESET,
                xUSB_DATA(15 downto 0)=>xUSB_DATA(15 downto 0),
                xWBUSY=>xWBUSY,
                xEN_PED=>xUSB_EN_PED,
                xFIFOADR(1 downto 0)=>xFIFOADR(1 downto 0),
                xPED_COL_ADDR(4 downto 0)=>xUSB_PED_COL(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xUSB_PED_ROW(2 downto 0),
                xRBUSY=>xRBUSY,
                xREFRESH=>xUSB_REFRESH,
                xSGN=>xUSB_SGN,
                xSLOE=>xSLOE,
                xSLRD=>xSLRD,
                xSOFT_TRIG=>xUSB_SOFT_TRIG,
                xSYNC_USB=>xSYNC_USB,
                xTERM(2 downto 0)=>xUSB_TERM(2 downto 0),
                xTHRES0(15 downto 0)=>xUSB_THRES0(15 downto 0),
                xTHRES1(15 downto 0)=>xUSB_THRES1(15 downto 0),
                xTHRES2(15 downto 0)=>xUSB_THRES2(15 downto 0),
                xTHRES3(15 downto 0)=>xUSB_THRES3(15 downto 0),
                xTOGGLE=>xTOGGLE,
                xWBIAS(11 downto 0)=>xUSB_WBIAS(11 downto 0));
   
   XLXI_2540 : PROGRESET
      port map (xCLK=>xIFCLK,
                xWAKEUP=>xWAKEUP,
                xCLR_ALL=>xUSB_CLR_ALL,
                xGLRST=>xRESET);
   
   XLXI_2558 : INV
      port map (I=>xRX_LOST,
                O=>xRX_LOST_N);
   
   XLXI_2584 : FO_USB_MUX
      port map (xFO_CLR_ALL=>xFO_CLR_ALL,
                xFO_DONE=>xFO_DONE,
                xFO_EN_PED=>xFO_EN_PED,
                xFO_LOSS=>xFO_LOSS,
                xFO_PED_COL(4 downto 0)=>xFO_PED_COL(4 downto 0),
                xFO_PED_ROW(2 downto 0)=>xFO_PED_ROW(2 downto 0),
                xFO_RADDR(15 downto 0)=>xFO_RADDR(15 downto 0),
                xFO_REFRESH=>xFO_REFRESH,
                xFO_RSEL(3 downto 0)=>xFO_RSEL(3 downto 0),
                xFO_RSTRB=>xFO_RSTRB,
                xFO_SGN=>xFO_SGN,
                xFO_SOFT_TRIG=>xFO_SOFT_TRIG,
                xFO_TERM(2 downto 0)=>xFO_TERM_DUMMY(2 downto 0),
                xFO_THRES0(15 downto 0)=>xFO_THRES0(15 downto 0),
                xFO_THRES1(15 downto 0)=>xFO_THRES1(15 downto 0),
                xFO_THRES2(15 downto 0)=>xFO_THRES2(15 downto 0),
                xFO_THRES3(15 downto 0)=>xFO_THRES3(15 downto 0),
                xFO_WBIAS(11 downto 0)=>xFO_WBIAS(11 downto 0),
                xUSB_CLR_ALL=>xUSB_CLR_ALL,
                xUSB_DONE=>xUSB_DONE,
                xUSB_EN_PED=>xUSB_EN_PED,
                xUSB_PED_COL(4 downto 0)=>xUSB_PED_COL(4 downto 0),
                xUSB_PED_ROW(2 downto 0)=>xUSB_PED_ROW(2 downto 0),
                xUSB_RADDR(15 downto 0)=>xUSB_RADDR(15 downto 0),
                xUSB_REFRESH=>xUSB_REFRESH,
                xUSB_RSEL(3 downto 0)=>xUSB_RSEL(3 downto 0),
                xUSB_RSTRB=>xUSB_RSTRB,
                xUSB_SGN=>xUSB_SGN,
                xUSB_SOFT_TRIG=>xUSB_SOFT_TRIG,
                xUSB_TERM(2 downto 0)=>xUSB_TERM(2 downto 0),
                xUSB_THRES0(15 downto 0)=>xUSB_THRES0(15 downto 0),
                xUSB_THRES1(15 downto 0)=>xUSB_THRES1(15 downto 0),
                xUSB_THRES2(15 downto 0)=>xUSB_THRES2(15 downto 0),
                xUSB_THRES3(15 downto 0)=>xUSB_THRES3(15 downto 0),
                xUSB_WBIAS(11 downto 0)=>xUSB_WBIAS(11 downto 0),
                xWAKEUP=>xWAKEUP,
                xCLR_ALL=>xCLR_ALL,
                xDONE=>xDONE,
                xEN_PED=>xEN_PED,
                xPED_COL_ADDR(4 downto 0)=>xPED_COL_ADDR(4 downto 0),
                xPED_ROW_ADDR(2 downto 0)=>xPED_ROW_ADDR(2 downto 0),
                xRADDR(15 downto 0)=>xRADDR(15 downto 0),
                xREFRESH=>xREFRESH,
                xRSEL(3 downto 0)=>xRSEL(3 downto 0),
                xRSTRB=>xRSTRB,
                xRX_LOST=>xRX_LOST,
                xSGN=>xSGN,
                xSOFT_TRIG=>xSOFT_TRIG,
                xTERM(2 downto 0)=>xTERM(2 downto 0),
                xTHRES0(15 downto 0)=>xTHRES0(15 downto 0),
                xTHRES1(15 downto 0)=>xTHRES1(15 downto 0),
                xTHRES2(15 downto 0)=>xTHRES2(15 downto 0),
                xTHRES3(15 downto 0)=>xTHRES3(15 downto 0),
                xWBIAS(11 downto 0)=>xWBIAS(11 downto 0));
   
end BEHAVIORAL;


