--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : USB_IO.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:55
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/USB_IO.sch USB_IO.vhf
--Design Name: USB_IO
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity USB_IO is
   port ( CLKOUT    : in    std_logic; 
          CTL0      : in    std_logic; 
          CTL1      : in    std_logic; 
          CTL2      : in    std_logic; 
          IFCLK     : in    std_logic; 
          PA0       : in    std_logic; 
          PA1       : in    std_logic; 
          PA3       : in    std_logic; 
          PA7       : in    std_logic; 
          WAKEUP    : in    std_logic; 
          xDATA_OUT : in    std_logic_vector (15 downto 0); 
          xFIFOADR0 : in    std_logic; 
          xFIFOADR1 : in    std_logic; 
          xPKTEND   : in    std_logic; 
          xSLOE     : in    std_logic; 
          xSLRD     : in    std_logic; 
          xSLWR     : in    std_logic; 
          xTOGGLE   : in    std_logic; 
          PA2       : out   std_logic; 
          PA4       : out   std_logic; 
          PA5       : out   std_logic; 
          PA6       : out   std_logic; 
          RDY0      : out   std_logic; 
          RDY1      : out   std_logic; 
          xFLAGA    : out   std_logic; 
          xFLAGB    : out   std_logic; 
          xFLAGC    : out   std_logic; 
          xIFCLK    : out   std_logic; 
          xUSB_DATA : out   std_logic_vector (15 downto 0); 
          xWAKEUP   : out   std_logic; 
          FD        : inout std_logic_vector (15 downto 0));
end USB_IO;

architecture BEHAVIORAL of USB_IO is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   signal XLXN_6    : std_logic;
   signal XLXN_7    : std_logic;
   signal XLXN_8    : std_logic;
   signal XLXN_9    : std_logic;
   signal XLXN_11   : std_logic;
   component iobuf16
      port ( xTOGGLE : in    std_logic; 
             FDIN    : in    std_logic_vector (15 downto 0); 
             FD      : inout std_logic_vector (15 downto 0); 
             FDOUT   : out   std_logic_vector (15 downto 0));
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component IBUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFG : component is "DEFAULT";
   attribute BOX_TYPE of IBUFG : component is "BLACK_BOX";
   
begin
   XLXI_1 : iobuf16
      port map (FDIN(15 downto 0)=>xDATA_OUT(15 downto 0),
                xTOGGLE=>xTOGGLE,
                FDOUT(15 downto 0)=>xUSB_DATA(15 downto 0),
                FD(15 downto 0)=>FD(15 downto 0));
   
   XLXI_145 : IBUF
      port map (I=>WAKEUP,
                O=>XLXN_11);
   
   XLXI_146 : IBUF
      port map (I=>CTL2,
                O=>XLXN_7);
   
   XLXI_147 : IBUF
      port map (I=>CTL1,
                O=>XLXN_8);
   
   XLXI_148 : IBUF
      port map (I=>CTL0,
                O=>XLXN_9);
   
   XLXI_149 : IBUF
      port map (I=>PA7,
                O=>open);
   
   XLXI_150 : IBUF
      port map (I=>PA3,
                O=>open);
   
   XLXI_151 : IBUF
      port map (I=>PA1,
                O=>open);
   
   XLXI_152 : IBUF
      port map (I=>PA0,
                O=>open);
   
   XLXI_465 : OBUF
      port map (I=>xSLRD,
                O=>RDY0);
   
   XLXI_467 : OBUF
      port map (I=>xSLWR,
                O=>RDY1);
   
   XLXI_855 : OBUF
      port map (I=>xPKTEND,
                O=>PA6);
   
   XLXI_856 : OBUF
      port map (I=>xFIFOADR1,
                O=>PA5);
   
   XLXI_857 : OBUF
      port map (I=>xFIFOADR0,
                O=>PA4);
   
   XLXI_858 : OBUF
      port map (I=>xSLOE,
                O=>PA2);
   
   XLXI_1470 : IBUF
      port map (I=>CLKOUT,
                O=>open);
   
   XLXI_1471 : BUFG
      port map (I=>XLXN_6,
                O=>xIFCLK);
   
   XLXI_1472 : BUF
      port map (I=>XLXN_7,
                O=>xFLAGC);
   
   XLXI_1473 : BUF
      port map (I=>XLXN_8,
                O=>xFLAGB);
   
   XLXI_1474 : BUF
      port map (I=>XLXN_9,
                O=>xFLAGA);
   
   XLXI_1476 : BUF
      port map (I=>XLXN_11,
                O=>xWAKEUP);
   
   XLXI_1477 : IBUFG
      port map (I=>IFCLK,
                O=>XLXN_6);
   
end BEHAVIORAL;


