VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL xCLK
        SIGNAL xSTART
        SIGNAL xSLAVE_WBUSY
        SIGNAL xWSTRB
        SIGNAL xRSTRB
        SIGNAL xCLR_ALL
        SIGNAL xWSEL(3:0)
        SIGNAL xRSEL(3:0)
        SIGNAL xDSTRB
        SIGNAL xMAIN_RBUSY
        SIGNAL xR_WR
        SIGNAL xSEL(3:0)
        SIGNAL PA0
        SIGNAL PA1
        SIGNAL PA3
        SIGNAL PA7
        SIGNAL WAKEUP
        SIGNAL IFCLK
        SIGNAL CLKOUT
        SIGNAL CTL2
        SIGNAL CTL0
        SIGNAL CTL1
        SIGNAL RXN
        SIGNAL RXP
        SIGNAL RX_LOSS
        SIGNAL MOD2
        SIGNAL MOD0
        SIGNAL TX_FAULT
        SIGNAL FD(15:0)
        SIGNAL PA2
        SIGNAL PA4
        SIGNAL PA5
        SIGNAL PA6
        SIGNAL RDY1
        SIGNAL RDY0
        SIGNAL TXN
        SIGNAL TXP
        SIGNAL MOD1
        SIGNAL TX_DIS
        SIGNAL xTEMP(15:0)
        SIGNAL REFCLK
        SIGNAL xSLAVE_DATA(15:0)
        SIGNAL MON(15:0)
        SIGNAL xCLK_15MHz
        SIGNAL XLXN_338
        SIGNAL XLXN_339
        SIGNAL XLXN_340
        SIGNAL xDONE
        SIGNAL xSOFT_TRIG
        SIGNAL xRADDR(15:0)
        SIGNAL xEN_PED
        SIGNAL xREFRESH
        SIGNAL xTHRES0(15:0)
        SIGNAL xTHRES1(15:0)
        SIGNAL xTHRES2(15:0)
        SIGNAL xTHRES3(15:0)
        SIGNAL xPED_ROW_ADDR(2:0)
        SIGNAL xPED_COL_ADDR(4:0)
        SIGNAL xMAIN_DATA(15:0)
        SIGNAL CLR
        SIGNAL CLR_ALL
        SIGNAL DSTRB
        SIGNAL R_WR
        SIGNAL MCLKN(3:0)
        SIGNAL MCLK(3:0)
        SIGNAL FCLKN(3:0)
        SIGNAL FCLK(3:0)
        SIGNAL xFCLK
        SIGNAL INTR(3:0)
        SIGNAL SEL(3:0)
        SIGNAL AD(15:0)
        SIGNAL VPED
        SIGNAL DIFF_CLK_N
        SIGNAL DIFF_CLK
        SIGNAL BCLK
        SIGNAL EXT_TRIG
        SIGNAL TRIGN(3:0)
        SIGNAL TRIG(3:0)
        SIGNAL XLXN_345
        SIGNAL xTERM(2)
        SIGNAL xTERM(1)
        SIGNAL xTERM(0)
        SIGNAL xFO_TERM(2)
        SIGNAL xFO_TERM(1)
        SIGNAL xFO_TERM(0)
        SIGNAL xINTR(0)
        SIGNAL xWBIAS(11:0)
        SIGNAL xTERM(2:0)
        SIGNAL xSGN
        SIGNAL T_SCLK
        SIGNAL T_CS
        SIGNAL xRADDR(1:0)
        SIGNAL TDIN(3:0)
        SIGNAL xINTR(3:0)
        BEGIN SIGNAL xFO_TERM(2:0)
        END SIGNAL
        PORT Input PA0
        PORT Input PA1
        PORT Input PA3
        PORT Input PA7
        PORT Input WAKEUP
        PORT Input IFCLK
        PORT Input CLKOUT
        PORT Input CTL2
        PORT Input CTL0
        PORT Input CTL1
        PORT Input RXN
        PORT Input RXP
        PORT Input RX_LOSS
        PORT Input MOD2
        PORT Input MOD0
        PORT Input TX_FAULT
        PORT BiDirectional FD(15:0)
        PORT Output PA2
        PORT Output PA4
        PORT Output PA5
        PORT Output PA6
        PORT Output RDY1
        PORT Output RDY0
        PORT Output TXN
        PORT Output TXP
        PORT Output MOD1
        PORT Output TX_DIS
        PORT Input REFCLK
        PORT Output MON(15:0)
        PORT Output CLR
        PORT Output CLR_ALL
        PORT Output DSTRB
        PORT Output R_WR
        PORT Output MCLKN(3:0)
        PORT Output MCLK(3:0)
        PORT Output FCLKN(3:0)
        PORT Output FCLK(3:0)
        PORT Input INTR(3:0)
        PORT Output SEL(3:0)
        PORT BiDirectional AD(15:0)
        PORT Input VPED
        PORT Input DIFF_CLK_N
        PORT Input DIFF_CLK
        PORT Input BCLK
        PORT Input EXT_TRIG
        PORT Output TRIGN(3:0)
        PORT Output TRIG(3:0)
        PORT Output T_SCLK
        PORT Output T_CS
        PORT Input TDIN(3:0)
        BEGIN BLOCKDEF SLAVE_IO
            TIMESTAMP 2009 12 8 23 21 19
            RECTANGLE N 0 -480 352 -32 
            RECTANGLE N -64 -460 0 -436 
            LINE N 0 -448 -64 -448 
            LINE N 0 -320 -64 -320 
            LINE N 0 -352 -64 -352 
            RECTANGLE N -64 -428 0 -404 
            LINE N 0 -416 -64 -416 
            RECTANGLE N -64 -396 0 -372 
            LINE N 0 -384 -64 -384 
            RECTANGLE N 352 -236 416 -212 
            LINE N 352 -224 416 -224 
            RECTANGLE N 352 -268 416 -244 
            LINE N 352 -256 416 -256 
            RECTANGLE N 352 -300 416 -276 
            LINE N 352 -288 416 -288 
            RECTANGLE N 352 -332 416 -308 
            LINE N 352 -320 416 -320 
            LINE N 352 -352 416 -352 
            LINE N 352 -384 416 -384 
            LINE N 352 -416 416 -416 
            LINE N 352 -448 416 -448 
            LINE N 0 -192 -64 -192 
            LINE N 0 -224 -64 -224 
            LINE N 0 -256 -64 -256 
            LINE N 0 -288 -64 -288 
            RECTANGLE N 352 -172 416 -148 
            LINE N 352 -160 416 -160 
            LINE N 352 -96 416 -96 
            RECTANGLE N 352 -140 416 -116 
            LINE N 352 -128 416 -128 
            RECTANGLE N 352 -204 416 -180 
            LINE N 352 -192 416 -192 
            RECTANGLE N 352 -76 416 -52 
            LINE N 352 -64 416 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF CLK_MAIN
            TIMESTAMP 2008 12 11 0 40 0
            LINE N 0 -192 -64 -192 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -96 -64 -96 
            RECTANGLE N 0 -264 352 0 
            LINE N 0 -64 -64 -64 
            LINE N 0 -32 -64 -32 
            LINE N 352 -96 416 -96 
            LINE N 352 -64 416 -64 
            LINE N 352 -32 416 -32 
            LINE N 352 -160 416 -160 
            LINE N 352 -128 416 -128 
            RECTANGLE N 352 -204 416 -180 
            LINE N 352 -192 416 -192 
            RECTANGLE N 352 -236 416 -212 
            LINE N 352 -224 416 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF SLAVE_REG
            TIMESTAMP 2009 6 15 21 9 22
            LINE N 0 -416 -64 -416 
            LINE N 0 -384 -64 -384 
            RECTANGLE N 352 -428 416 -404 
            LINE N 352 -416 416 -416 
            LINE N 352 -384 416 -384 
            LINE N 352 -352 416 -352 
            LINE N 0 -352 -64 -352 
            RECTANGLE N 0 -448 352 32 
            RECTANGLE N 352 -332 416 -308 
            LINE N 352 -320 416 -320 
            LINE N 0 -320 -64 -320 
            LINE N 0 -288 -64 -288 
            RECTANGLE N -64 -172 0 -148 
            LINE N 0 -160 -64 -160 
            RECTANGLE N -64 -204 0 -180 
            LINE N 0 -192 -64 -192 
            RECTANGLE N -64 -236 0 -212 
            LINE N 0 -224 -64 -224 
            RECTANGLE N -64 -268 0 -244 
            LINE N 0 -256 -64 -256 
            RECTANGLE N -64 -140 0 -116 
            LINE N 0 -128 -64 -128 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
            LINE N 0 -64 -64 -64 
            LINE N 0 -32 -64 -32 
            LINE N 0 0 -64 0 
            RECTANGLE N -64 -76 0 -52 
            RECTANGLE N -64 -44 0 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF TEMP_TOP
            TIMESTAMP 2008 10 3 20 4 33
            RECTANGLE N 0 -160 352 32 
            LINE N 352 -96 416 -96 
            LINE N 352 -64 416 -64 
            RECTANGLE N 352 -44 416 -20 
            LINE N 352 -32 416 -32 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
            LINE N 0 -64 -64 -64 
            RECTANGLE N -64 -12 0 12 
            LINE N 0 0 -64 0 
            LINE N 0 -32 -64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF R_WR_CTRL
            TIMESTAMP 2008 10 4 1 27 11
            RECTANGLE N 64 -512 416 -224 
            LINE N 64 -480 0 -480 
            LINE N 64 -448 0 -448 
            LINE N 64 -416 0 -416 
            LINE N 64 -384 0 -384 
            LINE N 64 -352 0 -352 
            LINE N 64 -320 0 -320 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -268 64 -244 
            LINE N 64 -256 0 -256 
            LINE N 416 -480 480 -480 
            LINE N 416 -448 480 -448 
            LINE N 416 -416 480 -416 
            RECTANGLE N 416 -396 480 -372 
            LINE N 416 -384 480 -384 
        END BLOCKDEF
        BEGIN BLOCKDEF MON_HDR
            TIMESTAMP 2008 12 23 0 17 15
            RECTANGLE N 64 -1024 432 0 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 64 -992 0 -992 
            LINE N 64 -928 0 -928 
            LINE N 64 -864 0 -864 
            LINE N 64 -800 0 -800 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 432 -992 496 -992 
            RECTANGLE N 432 -1004 496 -980 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF FO_USB
            TIMESTAMP 2010 4 16 20 28 29
            LINE N 0 -576 -64 -576 
            LINE N 0 -672 -64 -672 
            LINE N 0 -704 -64 -704 
            LINE N 0 -736 -64 -736 
            LINE N 0 -480 -64 -480 
            LINE N 0 -448 -64 -448 
            LINE N 0 -416 -64 -416 
            LINE N 0 -384 -64 -384 
            LINE N 0 -512 -64 -512 
            LINE N 0 -544 -64 -544 
            LINE N 0 -320 -64 -320 
            LINE N 0 -864 -64 -864 
            LINE N 0 -832 -64 -832 
            LINE N 0 -800 -64 -800 
            LINE N 0 -768 -64 -768 
            RECTANGLE N 0 -896 352 32 
            LINE N 352 -864 416 -864 
            LINE N 352 -832 416 -832 
            LINE N 352 -800 416 -800 
            LINE N 352 -768 416 -768 
            LINE N 352 -736 416 -736 
            LINE N 352 -704 416 -704 
            RECTANGLE N 352 -684 416 -660 
            LINE N 352 -672 416 -672 
            LINE N 352 -608 416 -608 
            LINE N 352 -640 416 -640 
            LINE N 352 -576 416 -576 
            LINE N 352 -544 416 -544 
            LINE N 0 -640 -64 -640 
            LINE N 0 -608 -64 -608 
            RECTANGLE N -64 -300 0 -276 
            LINE N 0 -288 -64 -288 
            RECTANGLE N -64 -364 0 -340 
            LINE N 0 -352 -64 -352 
            LINE N 0 -256 -64 -256 
            LINE N 352 -480 416 -480 
            LINE N 352 -512 416 -512 
            LINE N 352 -448 416 -448 
            RECTANGLE N 352 -428 416 -404 
            LINE N 352 -416 416 -416 
            LINE N 352 -384 416 -384 
            LINE N 352 -352 416 -352 
            LINE N 352 -320 416 -320 
            RECTANGLE N 352 -300 416 -276 
            LINE N 352 -288 416 -288 
            RECTANGLE N 352 -268 416 -244 
            LINE N 352 -256 416 -256 
            RECTANGLE N 352 -236 416 -212 
            LINE N 352 -224 416 -224 
            RECTANGLE N 352 -204 416 -180 
            LINE N 352 -192 416 -192 
            RECTANGLE N 352 -172 416 -148 
            LINE N 352 -160 416 -160 
            RECTANGLE N 352 -108 416 -84 
            LINE N 352 -96 416 -96 
            RECTANGLE N 352 -140 416 -116 
            LINE N 352 -128 416 -128 
            LINE N 352 0 416 0 
            RECTANGLE N 352 -44 416 -20 
            LINE N 352 -32 416 -32 
            RECTANGLE N 352 -76 416 -52 
            LINE N 352 -64 416 -64 
            LINE N 352 32 416 32 
            RECTANGLE N 352 20 416 44 
        END BLOCKDEF
        BEGIN BLOCK XLXI_13 R_WR_CTRL
            PIN xCLK xCLK
            PIN xSTART xSTART
            PIN xSLAVE_WBUSY xSLAVE_WBUSY
            PIN xWSTRB xWSTRB
            PIN xRSTRB xRSTRB
            PIN xCLR_ALL xCLR_ALL
            PIN xWSEL(3:0) xWSEL(3:0)
            PIN xRSEL(3:0) xRSEL(3:0)
            PIN xDSTRB xDSTRB
            PIN xMAIN_RBUSY xMAIN_RBUSY
            PIN xR_WR xR_WR
            PIN xSEL(3:0) xSEL(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_2820 MON_HDR
            PIN xMON10 xTERM(2)
            PIN xMON11 XLXN_345
            PIN xMON12 XLXN_338
            PIN xMON13 XLXN_339
            PIN xMON14 XLXN_340
            PIN xMON15 xSTART
            PIN xMON16 xDONE
            PIN xMON17 xCLR_ALL
            PIN xMON18 xSOFT_TRIG
            PIN xHV_DIN0 xINTR(0)
            PIN xHV_SCLK xFO_TERM(0)
            PIN xHV_NSYNC xFO_TERM(1)
            PIN xHV_DIN1 xFO_TERM(2)
            PIN xMON7 xREFRESH
            PIN xMON8 xTERM(0)
            PIN xMON9 xTERM(1)
            PIN MON(15:0) MON(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_2924 gnd
            PIN G XLXN_338
        END BLOCK
        BEGIN BLOCK XLXI_2925 gnd
            PIN G XLXN_339
        END BLOCK
        BEGIN BLOCK XLXI_2926 gnd
            PIN G XLXN_340
        END BLOCK
        BEGIN BLOCK XLXI_2935 FO_USB
            PIN xSTART xMAIN_RBUSY
            PIN PA0 PA0
            PIN PA1 PA1
            PIN PA3 PA3
            PIN PA7 PA7
            PIN WAKEUP WAKEUP
            PIN IFCLK IFCLK
            PIN CLKOUT CLKOUT
            PIN CTL2 CTL2
            PIN RXN RXN
            PIN RXP RXP
            PIN RX_LOS RX_LOSS
            PIN MOD2 MOD2
            PIN MOD0 MOD0
            PIN TX_FAULT TX_FAULT
            PIN FD(15:0) FD(15:0)
            PIN PA2 PA2
            PIN PA4 PA4
            PIN PA5 PA5
            PIN PA6 PA6
            PIN RDY1 RDY1
            PIN RDY0 RDY0
            PIN TXN TXN
            PIN TXP TXP
            PIN MOD1 MOD1
            PIN TX_DIS TX_DIS
            PIN CTL0 CTL0
            PIN CTL1 CTL1
            PIN xTEMP(15:0) xTEMP(15:0)
            PIN xSLAVE_DATA(15:0) xSLAVE_DATA(15:0)
            PIN REFCLK REFCLK
            PIN xDONE xDONE
            PIN xCLR_ALL xCLR_ALL
            PIN xSOFT_TRIG xSOFT_TRIG
            PIN xRADDR(15:0) xRADDR(15:0)
            PIN xEN_PED xEN_PED
            PIN xRSTRB xRSTRB
            PIN xREFRESH xREFRESH
            PIN xTHRES0(15:0) xTHRES0(15:0)
            PIN xTHRES1(15:0) xTHRES1(15:0)
            PIN xTHRES2(15:0) xTHRES2(15:0)
            PIN xTHRES3(15:0) xTHRES3(15:0)
            PIN xRSEL(3:0) xRSEL(3:0)
            PIN xPED_ROW_ADDR(2:0) xPED_ROW_ADDR(2:0)
            PIN xPED_COL_ADDR(4:0) xPED_COL_ADDR(4:0)
            PIN xSGN xSGN
            PIN xTERM(2:0) xTERM(2:0)
            PIN xWBIAS(11:0) xWBIAS(11:0)
            PIN xFO_TERM(2:0) xFO_TERM(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_1 SLAVE_IO
            PIN INTR(3:0) INTR(3:0)
            PIN xCLK xCLK
            PIN xFCLK xFCLK
            PIN xMAIN_DATA(15:0) xMAIN_DATA(15:0)
            PIN xSEL(3:0) xSEL(3:0)
            PIN MCLKN(3:0) MCLKN(3:0)
            PIN MCLK(3:0) MCLK(3:0)
            PIN FCLKN(3:0) FCLKN(3:0)
            PIN FCLK(3:0) FCLK(3:0)
            PIN R_WR R_WR
            PIN DSTRB DSTRB
            PIN CLR_ALL CLR_ALL
            PIN CLR CLR
            PIN xCLR_ALL xCLR_ALL
            PIN xDONE xDONE
            PIN xR_WR xR_WR
            PIN xDSTRB xDSTRB
            PIN AD(15:0) AD(15:0)
            PIN xSTART xSTART
            PIN xSLAVE_DATA(15:0) xSLAVE_DATA(15:0)
            PIN SEL(3:0) SEL(3:0)
            PIN xINTR(3:0) xINTR(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 CLK_MAIN
            PIN VPED VPED
            PIN EXT_TRIG EXT_TRIG
            PIN xSOFT_TRIG xSOFT_TRIG
            PIN BCLK BCLK
            PIN DIFF_CLK DIFF_CLK
            PIN DIFF_CLK_N DIFF_CLK_N
            PIN xCLK_15MHz xCLK_15MHz
            PIN xCLK_10Hz
            PIN xCLK_100Hz
            PIN xCLK xCLK
            PIN xFCLK xFCLK
            PIN TRIGN(3:0) TRIGN(3:0)
            PIN TRIG(3:0) TRIG(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_2936 gnd
            PIN G XLXN_345
        END BLOCK
        BEGIN BLOCK XLXI_12 TEMP_TOP
            PIN T_CS T_CS
            PIN T_SCLK T_SCLK
            PIN xTEMP(15:0) xTEMP(15:0)
            PIN TDIN(3:0) TDIN(3:0)
            PIN xCLK_15MHz xCLK_15MHz
            PIN xRADDR(1:0) xRADDR(1:0)
            PIN xCLR_ALL xCLR_ALL
        END BLOCK
        BEGIN BLOCK XLXI_7 SLAVE_REG
            PIN xCLK xCLK
            PIN xREFRESH xREFRESH
            PIN xEN_PED xEN_PED
            PIN xWSTRB xWSTRB
            PIN xSLAVE_WBUSY xSLAVE_WBUSY
            PIN xMAIN_DATA(15:0) xMAIN_DATA(15:0)
            PIN xWSEL(3:0) xWSEL(3:0)
            PIN xMAIN_RBUSY xMAIN_RBUSY
            PIN xCLR_ALL xCLR_ALL
            PIN xTHRES0(15:0) xTHRES0(15:0)
            PIN xTHRES1(15:0) xTHRES1(15:0)
            PIN xTHRES2(15:0) xTHRES2(15:0)
            PIN xTHRES3(15:0) xTHRES3(15:0)
            PIN xPED_COL_ADDR(4:0) xPED_COL_ADDR(4:0)
            PIN xPED_ROW_ADDR(2:0) xPED_ROW_ADDR(2:0)
            PIN xWBIAS(11:0) xWBIAS(11:0)
            PIN xTERM(2:0) xTERM(2:0)
            PIN xSGN xSGN
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_13 1536 1088 R0
        END INSTANCE
        BEGIN BRANCH xCLK
            WIRE 1504 608 1536 608
            BEGIN DISPLAY 1504 608 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 1504 640 1536 640
            BEGIN DISPLAY 1504 640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLAVE_WBUSY
            WIRE 1504 672 1536 672
            BEGIN DISPLAY 1504 672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWSTRB
            WIRE 1504 704 1536 704
            BEGIN DISPLAY 1504 704 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRSTRB
            WIRE 1504 736 1536 736
            BEGIN DISPLAY 1504 736 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 1504 768 1536 768
            BEGIN DISPLAY 1504 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWSEL(3:0)
            WIRE 1504 800 1536 800
            BEGIN DISPLAY 1504 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRSEL(3:0)
            WIRE 1504 832 1536 832
            BEGIN DISPLAY 1504 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 2016 608 2048 608
            BEGIN DISPLAY 2048 608 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMAIN_RBUSY
            WIRE 2016 640 2048 640
            BEGIN DISPLAY 2048 640 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 2016 672 2048 672
            BEGIN DISPLAY 2048 672 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSEL(3:0)
            WIRE 2016 704 2048 704
            BEGIN DISPLAY 2048 704 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PA0
            WIRE 1504 896 1536 896
        END BRANCH
        BEGIN BRANCH PA1
            WIRE 1504 928 1536 928
        END BRANCH
        BEGIN BRANCH PA3
            WIRE 1504 960 1536 960
        END BRANCH
        BEGIN BRANCH PA7
            WIRE 1504 992 1536 992
        END BRANCH
        BEGIN BRANCH WAKEUP
            WIRE 1504 1024 1536 1024
        END BRANCH
        BEGIN BRANCH IFCLK
            WIRE 1504 1056 1536 1056
        END BRANCH
        BEGIN BRANCH CLKOUT
            WIRE 1504 1088 1536 1088
        END BRANCH
        BEGIN BRANCH CTL2
            WIRE 1504 1184 1536 1184
        END BRANCH
        BEGIN BRANCH CTL0
            WIRE 1504 1120 1536 1120
        END BRANCH
        BEGIN BRANCH CTL1
            WIRE 1504 1152 1536 1152
        END BRANCH
        BEGIN BRANCH RXN
            WIRE 1504 1248 1536 1248
        END BRANCH
        BEGIN BRANCH RXP
            WIRE 1504 1216 1536 1216
        END BRANCH
        BEGIN BRANCH RX_LOSS
            WIRE 1504 1280 1536 1280
        END BRANCH
        BEGIN BRANCH MOD2
            WIRE 1504 1312 1536 1312
        END BRANCH
        BEGIN BRANCH MOD0
            WIRE 1504 1344 1536 1344
        END BRANCH
        BEGIN BRANCH TX_FAULT
            WIRE 1504 1376 1536 1376
        END BRANCH
        BEGIN BRANCH FD(15:0)
            WIRE 2016 1088 2048 1088
        END BRANCH
        BEGIN BRANCH PA2
            WIRE 2016 896 2048 896
        END BRANCH
        BEGIN BRANCH PA4
            WIRE 2016 928 2048 928
        END BRANCH
        BEGIN BRANCH PA5
            WIRE 2016 960 2048 960
        END BRANCH
        BEGIN BRANCH PA6
            WIRE 2016 992 2048 992
        END BRANCH
        BEGIN BRANCH RDY1
            WIRE 2016 1024 2048 1024
        END BRANCH
        BEGIN BRANCH RDY0
            WIRE 2016 1056 2048 1056
        END BRANCH
        BEGIN BRANCH TXN
            WIRE 2016 1152 2048 1152
        END BRANCH
        BEGIN BRANCH TXP
            WIRE 2016 1120 2048 1120
        END BRANCH
        BEGIN BRANCH MOD1
            WIRE 2016 1184 2048 1184
        END BRANCH
        BEGIN BRANCH TX_DIS
            WIRE 2016 1216 2048 1216
        END BRANCH
        BEGIN BRANCH xMAIN_RBUSY
            WIRE 1504 1440 1536 1440
            BEGIN DISPLAY 1504 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTEMP(15:0)
            WIRE 1504 1472 1536 1472
            BEGIN DISPLAY 1504 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH REFCLK
            WIRE 1504 1504 1536 1504
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 1504 1408 1536 1408
            BEGIN DISPLAY 1504 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2820 2688 1520 R0
        END INSTANCE
        BEGIN BRANCH MON(15:0)
            WIRE 3184 528 3216 528
        END BRANCH
        BEGIN BRANCH XLXN_338
            WIRE 2656 1104 2688 1104
        END BRANCH
        INSTANCE XLXI_2924 2528 1040 R90
        BEGIN BRANCH XLXN_339
            WIRE 2656 1168 2688 1168
        END BRANCH
        INSTANCE XLXI_2925 2528 1104 R90
        BEGIN BRANCH XLXN_340
            WIRE 2656 1232 2688 1232
        END BRANCH
        INSTANCE XLXI_2926 2528 1168 R90
        BEGIN BRANCH xSTART
            WIRE 2656 1296 2688 1296
            BEGIN DISPLAY 2656 1296 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 2656 1360 2688 1360
            BEGIN DISPLAY 2656 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 2656 1424 2688 1424
            BEGIN DISPLAY 2656 1424 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 2656 1488 2688 1488
            BEGIN DISPLAY 2656 1488 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 2016 1248 2048 1248
            BEGIN DISPLAY 2048 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 2016 1280 2048 1280
            BEGIN DISPLAY 2048 1280 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 2016 1312 2048 1312
            BEGIN DISPLAY 2048 1312 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRADDR(15:0)
            WIRE 2016 1344 2048 1344
            BEGIN DISPLAY 2048 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEN_PED
            WIRE 2016 1376 2048 1376
            BEGIN DISPLAY 2048 1376 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2935 1600 1760 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_1 480 1360 R0
        END INSTANCE
        BEGIN BRANCH CLR
            WIRE 896 912 928 912
        END BRANCH
        BEGIN BRANCH CLR_ALL
            WIRE 896 944 928 944
        END BRANCH
        BEGIN BRANCH DSTRB
            WIRE 896 976 928 976
        END BRANCH
        BEGIN BRANCH R_WR
            WIRE 896 1008 928 1008
        END BRANCH
        BEGIN BRANCH MCLKN(3:0)
            WIRE 896 1136 928 1136
        END BRANCH
        BEGIN BRANCH MCLK(3:0)
            WIRE 896 1104 928 1104
        END BRANCH
        BEGIN BRANCH FCLKN(3:0)
            WIRE 896 1072 928 1072
        END BRANCH
        BEGIN BRANCH FCLK(3:0)
            WIRE 896 1040 928 1040
        END BRANCH
        BEGIN BRANCH xSEL(3:0)
            WIRE 384 976 416 976
            BEGIN DISPLAY 384 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMAIN_DATA(15:0)
            WIRE 384 944 416 944
            BEGIN DISPLAY 384 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 384 1008 416 1008
            BEGIN DISPLAY 384 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 384 1040 416 1040
            BEGIN DISPLAY 384 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH INTR(3:0)
            WIRE 384 912 416 912
        END BRANCH
        BEGIN BRANCH SEL(3:0)
            WIRE 896 1168 928 1168
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 896 1264 928 1264
            BEGIN DISPLAY 928 1264 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 896 1232 928 1232
            BEGIN DISPLAY 928 1232 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AD(15:0)
            WIRE 896 1200 928 1200
        END BRANCH
        BEGIN BRANCH xDSTRB
            WIRE 384 1072 416 1072
            BEGIN DISPLAY 384 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xR_WR
            WIRE 384 1104 416 1104
            BEGIN DISPLAY 384 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 384 1136 416 1136
            BEGIN DISPLAY 384 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 384 1168 416 1168
            BEGIN DISPLAY 384 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_4 480 880 R0
        END INSTANCE
        BEGIN BRANCH xCLK_15MHz
            WIRE 896 784 928 784
            BEGIN DISPLAY 928 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 384 848 416 848
            BEGIN DISPLAY 384 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH VPED
            WIRE 384 816 416 816
        END BRANCH
        BEGIN BRANCH DIFF_CLK_N
            WIRE 384 752 416 752
        END BRANCH
        BEGIN BRANCH DIFF_CLK
            WIRE 384 720 416 720
        END BRANCH
        BEGIN BRANCH BCLK
            WIRE 384 688 416 688
        END BRANCH
        BEGIN BRANCH EXT_TRIG
            WIRE 384 784 416 784
        END BRANCH
        BEGIN BRANCH xFCLK
            WIRE 896 720 928 720
            BEGIN DISPLAY 928 720 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 896 752 928 752
            BEGIN DISPLAY 928 752 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TRIGN(3:0)
            WIRE 896 688 928 688
        END BRANCH
        BEGIN BRANCH TRIG(3:0)
            WIRE 896 656 928 656
        END BRANCH
        IOMARKER 1504 896 PA0 R180 28
        IOMARKER 1504 928 PA1 R180 28
        IOMARKER 1504 960 PA3 R180 28
        IOMARKER 1504 992 PA7 R180 28
        IOMARKER 1504 1024 WAKEUP R180 28
        IOMARKER 1504 1056 IFCLK R180 28
        IOMARKER 1504 1088 CLKOUT R180 28
        IOMARKER 1504 1184 CTL2 R180 28
        IOMARKER 1504 1120 CTL0 R180 28
        IOMARKER 1504 1152 CTL1 R180 28
        IOMARKER 1504 1248 RXN R180 28
        IOMARKER 1504 1216 RXP R180 28
        IOMARKER 1504 1280 RX_LOSS R180 28
        IOMARKER 1504 1312 MOD2 R180 28
        IOMARKER 1504 1344 MOD0 R180 28
        IOMARKER 1504 1376 TX_FAULT R180 28
        IOMARKER 2048 1088 FD(15:0) R0 28
        IOMARKER 2048 896 PA2 R0 28
        IOMARKER 2048 928 PA4 R0 28
        IOMARKER 2048 960 PA5 R0 28
        IOMARKER 2048 992 PA6 R0 28
        IOMARKER 2048 1024 RDY1 R0 28
        IOMARKER 2048 1056 RDY0 R0 28
        IOMARKER 2048 1152 TXN R0 28
        IOMARKER 2048 1120 TXP R0 28
        IOMARKER 2048 1184 MOD1 R0 28
        IOMARKER 2048 1216 TX_DIS R0 28
        IOMARKER 1504 1504 REFCLK R180 28
        IOMARKER 3216 528 MON(15:0) R0 28
        IOMARKER 928 912 CLR R0 28
        IOMARKER 928 944 CLR_ALL R0 28
        IOMARKER 928 976 DSTRB R0 28
        IOMARKER 928 1008 R_WR R0 28
        IOMARKER 928 1136 MCLKN(3:0) R0 28
        IOMARKER 928 1104 MCLK(3:0) R0 28
        IOMARKER 928 1072 FCLKN(3:0) R0 28
        IOMARKER 928 1040 FCLK(3:0) R0 28
        IOMARKER 384 912 INTR(3:0) R180 28
        IOMARKER 928 1168 SEL(3:0) R0 28
        IOMARKER 928 1200 AD(15:0) R0 28
        IOMARKER 384 816 VPED R180 28
        IOMARKER 384 752 DIFF_CLK_N R180 28
        IOMARKER 384 720 DIFF_CLK R180 28
        IOMARKER 384 688 BCLK R180 28
        IOMARKER 384 784 EXT_TRIG R180 28
        IOMARKER 928 688 TRIGN(3:0) R0 28
        IOMARKER 928 656 TRIG(3:0) R0 28
        BEGIN BRANCH XLXN_345
            WIRE 2656 1040 2688 1040
        END BRANCH
        INSTANCE XLXI_2936 2528 976 R90
        BEGIN BRANCH xTERM(2)
            WIRE 2656 976 2688 976
            BEGIN DISPLAY 2656 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(1)
            WIRE 2656 912 2688 912
            BEGIN DISPLAY 2656 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xREFRESH
            WIRE 2656 784 2688 784
            BEGIN DISPLAY 2656 784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(0)
            WIRE 2656 848 2688 848
            BEGIN DISPLAY 2656 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_TERM(2)
            WIRE 2656 720 2688 720
            BEGIN DISPLAY 2656 720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_TERM(1)
            WIRE 2656 656 2688 656
            BEGIN DISPLAY 2656 656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_TERM(0)
            WIRE 2656 592 2688 592
            BEGIN DISPLAY 2656 592 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xINTR(0)
            WIRE 2656 528 2688 528
            BEGIN DISPLAY 2656 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRSTRB
            WIRE 2016 1408 2048 1408
            BEGIN DISPLAY 2048 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xREFRESH
            WIRE 2016 1440 2048 1440
            BEGIN DISPLAY 2048 1440 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES0(15:0)
            WIRE 2016 1472 2048 1472
            BEGIN DISPLAY 2048 1472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES1(15:0)
            WIRE 2016 1504 2048 1504
            BEGIN DISPLAY 2048 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES2(15:0)
            WIRE 2016 1536 2048 1536
            BEGIN DISPLAY 2048 1536 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES3(15:0)
            WIRE 2016 1568 2048 1568
            BEGIN DISPLAY 2048 1568 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRSEL(3:0)
            WIRE 2016 1600 2048 1600
            BEGIN DISPLAY 2048 1600 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_ROW_ADDR(2:0)
            WIRE 2016 1664 2048 1664
            BEGIN DISPLAY 2048 1664 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_COL_ADDR(4:0)
            WIRE 2016 1632 2048 1632
            BEGIN DISPLAY 2048 1632 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSGN
            WIRE 2016 1760 2048 1760
            BEGIN DISPLAY 2048 1760 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 2016 1728 2048 1728
            BEGIN DISPLAY 2048 1728 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBIAS(11:0)
            WIRE 2016 1696 2048 1696
            BEGIN DISPLAY 2048 1696 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTEMP(15:0)
            WIRE 896 1456 928 1456
            BEGIN DISPLAY 928 1456 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH T_SCLK
            WIRE 896 1424 928 1424
        END BRANCH
        BEGIN BRANCH T_CS
            WIRE 896 1392 928 1392
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 384 1456 416 1456
            BEGIN DISPLAY 384 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRADDR(1:0)
            WIRE 384 1488 416 1488
            BEGIN DISPLAY 384 1488 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK_15MHz
            WIRE 384 1424 416 1424
            BEGIN DISPLAY 384 1424 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TDIN(3:0)
            WIRE 384 1392 416 1392
        END BRANCH
        BEGIN INSTANCE XLXI_12 480 1488 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_7 480 1968 R0
        END INSTANCE
        BEGIN BRANCH xMAIN_DATA(15:0)
            WIRE 896 1552 912 1552
            WIRE 912 1552 928 1552
            BEGIN DISPLAY 928 1552 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWSTRB
            WIRE 896 1584 912 1584
            WIRE 912 1584 928 1584
            BEGIN DISPLAY 928 1584 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLAVE_WBUSY
            WIRE 896 1616 912 1616
            WIRE 912 1616 928 1616
            BEGIN DISPLAY 928 1616 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWSEL(3:0)
            WIRE 896 1648 912 1648
            WIRE 912 1648 928 1648
            BEGIN DISPLAY 928 1648 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLK
            WIRE 384 1552 400 1552
            WIRE 400 1552 416 1552
            BEGIN DISPLAY 384 1552 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xREFRESH
            WIRE 384 1584 400 1584
            WIRE 400 1584 416 1584
            BEGIN DISPLAY 384 1584 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEN_PED
            WIRE 384 1616 400 1616
            WIRE 400 1616 416 1616
            BEGIN DISPLAY 384 1616 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xMAIN_RBUSY
            WIRE 384 1648 400 1648
            WIRE 400 1648 416 1648
            BEGIN DISPLAY 384 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 384 1680 400 1680
            WIRE 400 1680 416 1680
            BEGIN DISPLAY 384 1680 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES3(15:0)
            WIRE 384 1808 400 1808
            WIRE 400 1808 416 1808
            BEGIN DISPLAY 384 1808 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES2(15:0)
            WIRE 384 1776 400 1776
            WIRE 400 1776 416 1776
            BEGIN DISPLAY 384 1776 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES1(15:0)
            WIRE 384 1744 400 1744
            WIRE 400 1744 416 1744
            BEGIN DISPLAY 384 1744 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTHRES0(15:0)
            WIRE 384 1712 400 1712
            WIRE 400 1712 416 1712
            BEGIN DISPLAY 384 1712 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_ROW_ADDR(2:0)
            WIRE 384 1872 400 1872
            WIRE 400 1872 416 1872
            BEGIN DISPLAY 384 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPED_COL_ADDR(4:0)
            WIRE 384 1840 400 1840
            WIRE 400 1840 416 1840
            BEGIN DISPLAY 384 1840 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBIAS(11:0)
            WIRE 384 1904 400 1904
            WIRE 400 1904 416 1904
            BEGIN DISPLAY 384 1904 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 384 1936 400 1936
            WIRE 400 1936 416 1936
            BEGIN DISPLAY 384 1936 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSGN
            WIRE 384 1968 400 1968
            WIRE 400 1968 416 1968
            BEGIN DISPLAY 384 1968 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 928 1424 T_SCLK R0 28
        IOMARKER 928 1392 T_CS R0 28
        IOMARKER 384 1392 TDIN(3:0) R180 28
        BEGIN BRANCH xINTR(3:0)
            WIRE 896 1296 928 1296
            BEGIN DISPLAY 928 1296 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_TERM(2:0)
            WIRE 2016 1792 2048 1792
            BEGIN DISPLAY 2048 1792 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
