VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL IFCLK
        SIGNAL PA2
        SIGNAL xSLOE
        SIGNAL PA4
        SIGNAL PA5
        SIGNAL PA6
        SIGNAL xFIFOADR0
        SIGNAL xFIFOADR1
        SIGNAL xPKTEND
        SIGNAL RDY1
        SIGNAL xSLWR
        SIGNAL RDY0
        SIGNAL xSLRD
        SIGNAL WAKEUP
        SIGNAL CTL2
        SIGNAL CTL1
        SIGNAL CTL0
        SIGNAL PA7
        SIGNAL PA3
        SIGNAL PA1
        SIGNAL PA0
        SIGNAL CLKOUT
        SIGNAL xTOGGLE
        SIGNAL xDATA_OUT(15:0)
        SIGNAL FD(15:0)
        SIGNAL xUSB_DATA(15:0)
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL XLXN_11
        SIGNAL xIFCLK
        SIGNAL xFLAGA
        SIGNAL xFLAGB
        SIGNAL xFLAGC
        SIGNAL xWAKEUP
        PORT Input IFCLK
        PORT Output PA2
        PORT Input xSLOE
        PORT Output PA4
        PORT Output PA5
        PORT Output PA6
        PORT Input xFIFOADR0
        PORT Input xFIFOADR1
        PORT Input xPKTEND
        PORT Output RDY1
        PORT Input xSLWR
        PORT Output RDY0
        PORT Input xSLRD
        PORT Input WAKEUP
        PORT Input CTL2
        PORT Input CTL1
        PORT Input CTL0
        PORT Input PA7
        PORT Input PA3
        PORT Input PA1
        PORT Input PA0
        PORT Input CLKOUT
        PORT Input xTOGGLE
        PORT Input xDATA_OUT(15:0)
        PORT BiDirectional FD(15:0)
        PORT Output xUSB_DATA(15:0)
        PORT Output xIFCLK
        PORT Output xFLAGA
        PORT Output xFLAGB
        PORT Output xFLAGC
        PORT Output xWAKEUP
        BEGIN BLOCKDEF iobuf16
            TIMESTAMP 2007 10 22 19 41 48
            LINE N 0 -64 -64 -64 
            RECTANGLE N 0 -96 304 4 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -44 0 -20 
            RECTANGLE N 304 -76 368 -52 
            LINE N 304 -64 368 -64 
            LINE N 368 -32 304 -32 
            RECTANGLE N 304 -44 368 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_858 obuf
            PIN I xSLOE
            PIN O PA2
        END BLOCK
        BEGIN BLOCK XLXI_857 obuf
            PIN I xFIFOADR0
            PIN O PA4
        END BLOCK
        BEGIN BLOCK XLXI_856 obuf
            PIN I xFIFOADR1
            PIN O PA5
        END BLOCK
        BEGIN BLOCK XLXI_855 obuf
            PIN I xPKTEND
            PIN O PA6
        END BLOCK
        BEGIN BLOCK XLXI_467 obuf
            PIN I xSLWR
            PIN O RDY1
        END BLOCK
        BEGIN BLOCK XLXI_465 obuf
            PIN I xSLRD
            PIN O RDY0
        END BLOCK
        BEGIN BLOCK XLXI_145 ibuf
            PIN I WAKEUP
            PIN O XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_146 ibuf
            PIN I CTL2
            PIN O XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_147 ibuf
            PIN I CTL1
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_148 ibuf
            PIN I CTL0
            PIN O XLXN_9
        END BLOCK
        BEGIN BLOCK XLXI_149 ibuf
            PIN I PA7
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_150 ibuf
            PIN I PA3
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_151 ibuf
            PIN I PA1
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_152 ibuf
            PIN I PA0
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_1470 ibuf
            PIN I CLKOUT
            PIN O
        END BLOCK
        BEGIN BLOCK XLXI_1 iobuf16
            PIN xTOGGLE xTOGGLE
            PIN FDIN(15:0) xDATA_OUT(15:0)
            PIN FD(15:0) FD(15:0)
            PIN FDOUT(15:0) xUSB_DATA(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_1471 bufg
            PIN I XLXN_6
            PIN O xIFCLK
        END BLOCK
        BEGIN BLOCK XLXI_1472 buf
            PIN I XLXN_7
            PIN O xFLAGC
        END BLOCK
        BEGIN BLOCK XLXI_1473 buf
            PIN I XLXN_8
            PIN O xFLAGB
        END BLOCK
        BEGIN BLOCK XLXI_1474 buf
            PIN I XLXN_9
            PIN O xFLAGA
        END BLOCK
        BEGIN BLOCK XLXI_1476 buf
            PIN I XLXN_11
            PIN O xWAKEUP
        END BLOCK
        BEGIN BLOCK XLXI_1477 ibufg
            PIN I IFCLK
            PIN O XLXN_6
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        BEGIN BRANCH IFCLK
            WIRE 784 944 800 944
            WIRE 800 944 816 944
        END BRANCH
        BEGIN BRANCH PA2
            WIRE 1040 368 1072 368
        END BRANCH
        BEGIN BRANCH xSLOE
            WIRE 800 368 816 368
        END BRANCH
        INSTANCE XLXI_858 816 400 R0
        BEGIN BRANCH PA4
            WIRE 1040 496 1072 496
        END BRANCH
        BEGIN BRANCH PA5
            WIRE 1040 560 1072 560
        END BRANCH
        BEGIN BRANCH PA6
            WIRE 1040 624 1072 624
        END BRANCH
        BEGIN BRANCH xFIFOADR0
            WIRE 800 496 816 496
        END BRANCH
        BEGIN BRANCH xFIFOADR1
            WIRE 800 560 816 560
        END BRANCH
        BEGIN BRANCH xPKTEND
            WIRE 800 624 816 624
        END BRANCH
        INSTANCE XLXI_857 816 528 R0
        INSTANCE XLXI_856 816 592 R0
        INSTANCE XLXI_855 816 656 R0
        BEGIN BRANCH RDY1
            WIRE 1040 1200 1072 1200
        END BRANCH
        BEGIN BRANCH xSLWR
            WIRE 784 1200 816 1200
        END BRANCH
        INSTANCE XLXI_467 816 1232 R0
        BEGIN BRANCH RDY0
            WIRE 1040 1136 1072 1136
        END BRANCH
        BEGIN BRANCH xSLRD
            WIRE 784 1136 816 1136
        END BRANCH
        INSTANCE XLXI_465 816 1168 R0
        INSTANCE XLXI_145 816 1040 R0
        BEGIN BRANCH WAKEUP
            WIRE 784 1008 816 1008
        END BRANCH
        BEGIN BRANCH CTL2
            WIRE 784 880 816 880
        END BRANCH
        INSTANCE XLXI_146 816 912 R0
        BEGIN BRANCH CTL1
            WIRE 784 816 816 816
        END BRANCH
        INSTANCE XLXI_147 816 848 R0
        BEGIN BRANCH CTL0
            WIRE 784 752 816 752
        END BRANCH
        INSTANCE XLXI_148 816 784 R0
        BEGIN BRANCH PA7
            WIRE 784 688 816 688
        END BRANCH
        INSTANCE XLXI_149 816 720 R0
        BEGIN BRANCH PA3
            WIRE 784 432 816 432
        END BRANCH
        INSTANCE XLXI_150 816 464 R0
        BEGIN BRANCH PA1
            WIRE 784 304 800 304
            WIRE 800 304 816 304
        END BRANCH
        INSTANCE XLXI_151 816 336 R0
        BEGIN BRANCH PA0
            WIRE 784 240 816 240
        END BRANCH
        INSTANCE XLXI_152 816 272 R0
        INSTANCE XLXI_1470 816 1104 R0
        BEGIN BRANCH CLKOUT
            WIRE 784 1072 816 1072
        END BRANCH
        BEGIN INSTANCE XLXI_1 768 192 R0
        END INSTANCE
        BEGIN BRANCH xTOGGLE
            WIRE 688 128 704 128
        END BRANCH
        BEGIN BRANCH xDATA_OUT(15:0)
            WIRE 688 160 704 160
        END BRANCH
        BEGIN BRANCH FD(15:0)
            WIRE 1136 128 1168 128
        END BRANCH
        BEGIN BRANCH xUSB_DATA(15:0)
            WIRE 1136 160 1168 160
        END BRANCH
        IOMARKER 784 944 IFCLK R180 28
        IOMARKER 1072 368 PA2 R0 28
        IOMARKER 1072 496 PA4 R0 28
        IOMARKER 1072 560 PA5 R0 28
        IOMARKER 1072 624 PA6 R0 28
        IOMARKER 1072 1200 RDY1 R0 28
        IOMARKER 1072 1136 RDY0 R0 28
        IOMARKER 784 1008 WAKEUP R180 28
        IOMARKER 784 880 CTL2 R180 28
        IOMARKER 784 816 CTL1 R180 28
        IOMARKER 784 752 CTL0 R180 28
        IOMARKER 784 688 PA7 R180 28
        IOMARKER 784 432 PA3 R180 28
        IOMARKER 784 304 PA1 R180 28
        IOMARKER 784 240 PA0 R180 28
        IOMARKER 800 368 xSLOE R180 28
        IOMARKER 800 496 xFIFOADR0 R180 28
        IOMARKER 800 560 xFIFOADR1 R180 28
        IOMARKER 800 624 xPKTEND R180 28
        IOMARKER 784 1200 xSLWR R180 28
        IOMARKER 784 1136 xSLRD R180 28
        IOMARKER 784 1072 CLKOUT R180 28
        IOMARKER 688 128 xTOGGLE R180 28
        IOMARKER 688 160 xDATA_OUT(15:0) R180 28
        IOMARKER 1168 128 FD(15:0) R0 28
        IOMARKER 1168 160 xUSB_DATA(15:0) R0 28
        BEGIN BRANCH XLXN_6
            WIRE 1040 944 1072 944
        END BRANCH
        INSTANCE XLXI_1471 1072 976 R0
        BEGIN BRANCH XLXN_7
            WIRE 1040 880 1072 880
        END BRANCH
        INSTANCE XLXI_1472 1072 912 R0
        BEGIN BRANCH XLXN_8
            WIRE 1040 816 1072 816
        END BRANCH
        INSTANCE XLXI_1473 1072 848 R0
        BEGIN BRANCH XLXN_9
            WIRE 1040 752 1072 752
        END BRANCH
        INSTANCE XLXI_1474 1072 784 R0
        BEGIN BRANCH XLXN_11
            WIRE 1040 1008 1072 1008
        END BRANCH
        INSTANCE XLXI_1476 1072 1040 R0
        BEGIN BRANCH xIFCLK
            WIRE 1296 944 1312 944
        END BRANCH
        BEGIN BRANCH xFLAGA
            WIRE 1296 752 1312 752
        END BRANCH
        BEGIN BRANCH xFLAGB
            WIRE 1296 816 1312 816
        END BRANCH
        BEGIN BRANCH xFLAGC
            WIRE 1296 880 1312 880
        END BRANCH
        BEGIN BRANCH xWAKEUP
            WIRE 1296 1008 1312 1008
        END BRANCH
        IOMARKER 1312 752 xFLAGA R0 28
        IOMARKER 1312 816 xFLAGB R0 28
        IOMARKER 1312 880 xFLAGC R0 28
        IOMARKER 1312 944 xIFCLK R0 28
        IOMARKER 1312 1008 xWAKEUP R0 28
        INSTANCE XLXI_1477 816 976 R0
    END SHEET
END SCHEMATIC
