`timescale 1ns / 1ps
module clk_gen(
					xREFCLK,
					USRCLK_M,
					USRCLK2_M,
					DCM_LOCKED
              );
input xREFCLK;
output USRCLK_M;
output USRCLK2_M;
output DCM_LOCKED;

wire xREFCLK;
wire REFCLK;
wire USRCLK_M;
wire USRCLK2_M;
wire DCM_LOCKED;
wire clkdv2;
wire clk_i;

DCM dcm1 (
			.CLKFB ( USRCLK_M ),
			.CLKIN ( xREFCLK ) ,
			.DSSEN ( 1'b0 ),
			.PSCLK ( 1'b0 ),
			.PSEN ( 1'b0 ),
			.PSINCDEC ( 1'b0 ),
			.RST ( 1'b0 ),
			.CLK0 ( clk_i ),
			.CLK90 ( ),
			.CLK180 ( ),
			.CLK270 ( ),
			.CLK2X ( ),
			.CLK2X180 ( ),
			.CLKDV ( clkdv2 ),
			.CLKFX ( ),
			.CLKFX180 ( ),
			.LOCKED ( DCM_LOCKED ),
			.PSDONE ( ),
			.STATUS ( )
        );

BUFG buf1 (
.I ( clkdv2 ),
.O ( USRCLK2_M )
);

BUFG buf2 (
.I ( clk_i ),
.O ( USRCLK_M )
);

endmodule